Ext JS - JavaScript Framework

# Release Notes for Ext JS 4.2.2

Release Date: September 18, 2013
Version Number: 4.2.2.1144

## New Features

- Charts (1)
  - EXTJSIV-8991 Pie charts should support callouts
- Grid (2)
  - EXTJSIV-3316 Ext.ux.grid.FiltersFeature should support statefulness
  - EXTJSIV-3940 Grouping Feature should support statefulness
Total: 3

## Bugs Fixed

- Button (2)
  - EXTJSIV-10376 Cannot navigate to a link button's url by clicking in IE
  - EXTJSIV-9827 SplitButton doesn't support href functionality
- Charts (9)
  - EXTJSIV-10355 Tooltip on a chart series: showDelay doesn't work
  - EXTJSIV-10879 Chart labels misaligned when hiding series with stacked bar chart
  - EXTJSIV-6740 Line chart does not draw properly when repeated categories are present
  - EXTJSIV-8147 Chart mask doesn't appear
  - EXTJSIV-8169 Charts: labels incorrectly aligned with rtl:true
  - EXTJSIV-8442 Chart legend colors overlap text in RTL mode
  - EXTJSIV-8531 Bar and Column series with configured width/height place bars/columns incorrectly
  - EXTJSIV-9517 Zoom mask is not positioned correctly on line charts
  - EXTJSIV-9742 Time Axis incorrectly maps months
- Core (6)
  - EXTJSIV-10103 ScrollManager does not process all direction flags properly
  - EXTJSIV-10106 Component Query no longer trims spaces in attribute matching expressions
  - EXTJSIV-10401 Overrides do not properly link up to inherited methods
  - EXTJSIV-8122 "Permission Denied" when trying to access an XPCNativeWrapped object from unprivileged code
  - EXTJSIV-9934 Calling setPosition() on a component with animations turned on does not set the correct left and top position
  - EXTJSIV-9995 DelayedTask.delay - can't accept 0 delay
- Data (4)
  - EXTJSIV-10271 Sorting without the optional parameter clears the data from a buffered store
  - EXTJSIV-4576 Send only the idProperty on calls for destroying a record
  - EXTJSIV-8693 No metachange event firing for stores configured via setProxy()
  - EXTJSIV-9973 HasMany association with no id on parent removes all associated records
- DataView (1)
  - EXTJSIV-10249 Mouse enter/leave processing for view items can reference wrong view
- Documentation (7)
  - EXTJSIV-10051 Component weight should be a public config
  - EXTJSIV-10937 Ext.EventObject.getTarget()'s maxDepth can be set to 1 to test the first element
  - EXTJSIV-11273 Ext.tip.Tip maxWidth - docs wrongly say that the max supported width is 500
  - EXTJSIV-9726 chart series does not fire itemmousemove event
  - EXTJSIV-9836 ColorPicker menu button example in docs has broken style
  - EXTJSIV-9841 Documentation for calculateCategoryCount and categoryNames configs on Category axis
  - EXTJSIV-9899 Using tab to forward between cell editing with RowBody present causes focus to jump
- Draw (1)
  - EXTJSIV-9540 Draw: adding a sprite to a surface isn't shown
- Examples (4)
  - EXTJSIV-10612 ExtJS 4.2 examples fail to load properly in Windows 8.1 Preview release/ IE11
  - EXTJSIV-10831 Tree Reorder example scrolls down but not up, when dragging
  - EXTJSIV-9664 Combobox picker does not display when clicking on the trigger in Opera
  - EXTJSIV-9684 Loadmask styling is incorrect
- Forms (22)
  - EXTJSIV-10302 Long boxLabels start a new line instead of floating
  - EXTJSIV-10354 Combobox is not auto selecting when queryMode is local
  - EXTJSIV-10744 submitValue:false ignored when jsonSubmit enabled on form
  - EXTJSIV-10805 Transform removes margin on bottom of combo
  - EXTJSIV-11050 Firefox left alignment is incorrect on label with absolute position
  - EXTJSIV-11179 Entering invalid value in Time Field causes JS error
  - EXTJSIV-11224 Forms: Dynamic Forms: The icons are overlapped with labels under "Overflow toolbar" button's drop down menu in form 3
  - EXTJSIV-11290 multiSelect: true comboboxes do not allow deselect on ENTER
  - EXTJSIV-6133 FieldSet with anchor fields causes incorrect scrolling
  - EXTJSIV-6685 ComboBox with multiSelect enabled clears last value on tab
  - EXTJSIV-7324 HtmlEditor: Placing the cursor after text that was broken with a br tag puts the cursor at the beginning of the text in FF
  - EXTJSIV-7556 Combo Box : Basic Combo Box: Displaying Horizontal scroll bars in combo Boxes.
  - EXTJSIV-7608 Calling setValue on a timefield doesn't format the display
  - EXTJSIV-8124 "Cancel" does not fire change event for file input field in Chrome
  - EXTJSIV-9608 Menu separator position is incorrect in IE9 RTL mode
  - EXTJSIV-9703 Combo with multi-select not setting last value when tab to blur
  - EXTJSIV-9789 Uncontrollable flicker between textfields that have selectOnFocus
  - EXTJSIV-9792 setValue in htmleditor does not fire change event properly
  - EXTJSIV-9895 Tooltip text escapes the border in RTL mode
  - EXTJSIV-9936 fileuploadfield marked as invalid on submit w/ pollForChanges set to true
  - EXTJSIV-9969 'value' config does not work for Ext.form.field.Checkbox
  - EXTJSIV-9974 Ext.picker.Month bottom cut off
- Grid (66)
  - EXTJSIV-10022 Grouping Feature - calling reconfigure isn't calling the correct GroupStore bindStore() API
  - EXTJSIV-10026 Exception when editing a cell of previously hidden column
  - EXTJSIV-10027 Collapsing grouping row causes subsequent row to be unselectable
  - EXTJSIV-10055 Auto-sizing doesn't recalculate column widths in a forceFit grid
  - EXTJSIV-10063 Editors canceledit event doesn't return the canceled value
  - EXTJSIV-10089 grouped header grid - wrong column width
  - EXTJSIV-10125 Extending RowNumberer does not inherit as expected
  - EXTJSIV-10130 Inserting record does not behave correctly
  - EXTJSIV-10137 Row style is not correct when expanding rows in a tree grid
  - EXTJSIV-10171 Collapsing group on summary grid does not allow selection
  - EXTJSIV-10177 RowEditor does not show column if it was hidden in config
  - EXTJSIV-10226 Problem when scrolling at the bottom of a grid with buffered store
  - EXTJSIV-10228 Dynamically setting a column editor (calling setEditor) does not work with the RowEditing plugin
  - EXTJSIV-10245 Grid with cell/row Editor in IE 8,9,10
  - EXTJSIV-10262 Hidden columns in stateful grids are out-of-sync with the view when shown
  - EXTJSIV-10316 Grid doesn't scroll when dragging records
  - EXTJSIV-10352 column.getHeaderIndex() is broken
  - EXTJSIV-10361 Store defined groupDir state is not maintained when you disable and then enable grouping
  - EXTJSIV-10374 Grouped headers aren't filtering out hidden sub columns when moving
  - EXTJSIV-10396 Grid view (scroll bar) jumps to beginning when selecting row.
  - EXTJSIV-10506 Hiding column group doesn't hide grouped columns
  - EXTJSIV-10548 If grid is configured with Checkbox selection model, rowexpander's colspan is incorrect
  - EXTJSIV-10570 Initially selected rows are not rendered with selected classes added.
  - EXTJSIV-10571 Records display is lost when scrolling buffered grid
  - EXTJSIV-10681 Grid panel with hidden column group does not render properly
  - EXTJSIV-10686 HeaderContainer subtracts scrollbarWidth from container width even when overflow-y is hidden
  - EXTJSIV-10688 Cell selection model errors out on store.removeAll()
  - EXTJSIV-10722 Locking grid should not shrinkwrap column widths if horizontal scroll enabled.
  - EXTJSIV-10724 Buffered stores only handle priming at page 1
  - EXTJSIV-10813 Expand / Collapsing of groups make them disappear
  - EXTJSIV-10847 Tab key navigation is not working when grid cells are in editable mode
  - EXTJSIV-10850 Cell editing and tabbing breaks if there is a hidden column
  - EXTJSIV-10851 Grid cell click return incorrect colIndex if there is hidden column
  - EXTJSIV-10861 Mouseover events not working on grouping grids with buffered stores.
  - EXTJSIV-10869 Kitchen Sink: Grids: Grouped Grid: Expanding any group under the grid displays JS error
  - EXTJSIV-10871 Cell editor is misaligned if underlying cell is empty or contains only spaces
  - EXTJSIV-10888 grid column missing dividing line after DnD
  - EXTJSIV-10953 columnManager.getColumns() does not include hidden columns
  - EXTJSIV-10955 group header column showing when all sub-columns are hidden
  - EXTJSIV-10993 GroupingSummary feature attempts to update last row in group event when showSummary is false.
  - EXTJSIV-11032 Incorrect column widths in grid when using both rowwrap and bufferedrenderer
  - EXTJSIV-11079 Checkboxmodel does not multi-select on checkbox selection
  - EXTJSIV-11121 RowEditor can't be "Canceled" if row is invalid and enter is pressed
  - EXTJSIV-11243 Columns with no dataIndex should not display "Group by this" menu item
  - EXTJSIV-11252 Scroll position jumps to selected grid row when a group is expanded or collapsed
  - EXTJSIV-11281 Grid row focus/selected borders do not get properly synced in some cases
  - EXTJSIV-7694 When using RowExpander and RowNumberer, RowNumberer is not getting proper CSS on expand
  - EXTJSIV-7866 RowExpander plugin broken if subclassing Grid
  - EXTJSIV-8967 Buffered Renderer reconfigure,loadData functions not working properly
  - EXTJSIV-8975 GridPanel + IE: scrollbar jumps to beginning on select in unlocked area
  - EXTJSIV-9061 BufferedRenderer.scrollTo throws an error when called on a grouped grid.
  - EXTJSIV-9096 FiltersFeature DateFilter initiates request on picker click without filter
  - EXTJSIV-9130 Bufferedrenderer can lose track of scroll position if user scrolls grid rapidly
  - EXTJSIV-9204 Horizontal scrollbar missing on grid with no height
  - EXTJSIV-9219 Row editor's "Update" and "Cancel" left aligned under row editor in IE 6 and do not respond to click
  - EXTJSIV-9297 CheckboxModel: editor.startEdit() shouldn't be called when checkbox is clicked
  - EXTJSIV-9396 Row editor does not display in IE6/7 in some cases
  - EXTJSIV-9426 Ellipsis no longer appear in grid column header when column title is long
  - EXTJSIV-9482 First row of a locking grid dos not correctly align with the column headers
  - EXTJSIV-9496 Grid groups are not collapsible after hiding a column
  - EXTJSIV-9499 column headers flicker when hovered in RTL Mode.
  - EXTJSIV-9605 Shrinkwrap column header displays an incomplete border
  - EXTJSIV-9874 Grid group header should not have focus outline when clicked
  - EXTJSIV-9878 Cannot use the Tab key to move the cell editor in IE when the grid only has one column
  - EXTJSIV-9957 Ext.grid.RowEditor doesn't disabled form buttons based on invalid status
  - EXTJSIV-9991 Grid with Infinite Scrolling - Reload Function
- Layouts (4)
  - EXTJSIV-10678 Accordion layout calls wrongly named onComponentExpand method
  - EXTJSIV-10859 Window with vbox layout: First setHeight() collapses width.
  - EXTJSIV-11034 ExtJs 4.2.1: HtmlEditor always overflow its parent container
  - EXTJSIV-9885 Issue when removing expanded item for accordion layout
- Locale (1)
  - EXTJSIV-10276 Locales use non-existent classname to override Ext.grid.feature.Grouping
- Menu (1)
  - EXTJSIV-9920 Default scope of menu CheckItem checkHandler should be CheckItem
- Misc (17)
  - EXTJSIV-10309 Destroying a record when represented in a view generates an error: Uncaught TypeError: Cannot read property 'className' of undefined
  - EXTJSIV-10530 Cannot get filefield value from the Form on submit
  - EXTJSIV-10560 DatePicker does not respect the padding config
  - EXTJSIV-10726 Mask does not cover full height when browser is scrollable
  - EXTJSIV-10911 startEditByPosition triggers error with hidden columns
  - EXTJSIV-11155 Ext.Editor overrides the field's msgTarget
  - EXTJSIV-5647 Filtered out records are missing from new and modified collection to sync.
  - EXTJSIV-7499 Boundlist bug with long display value(s) in IE9
  - EXTJSIV-8119 Remove redundant show/hide calls in Ext.Layer constructor
  - EXTJSIV-9165 NodeInterface.updateInfo doesn't set the 'modified' properties
  - EXTJSIV-9263 columnLines: true applies columnLines to any grids that are docked onto that grid
  - EXTJSIV-9313 Datepicker is not navigable using the keyboard in opera 12
  - EXTJSIV-9533 TreeStore.load does not rerender an expanded node's children after a successful load.
  - EXTJSIV-9577 Calling non-existent method in Ext.data.Store
  - EXTJSIV-9695 Miscellaneous: History: The Border line of the sub tab bar under "Tab1" is truncated.
  - EXTJSIV-9765 Ext.data.Store.rejectChanges
  - EXTJSIV-9801 Anchor tags should have proper Aria role specified
- Panel (3)
  - EXTJSIV-10546 Accordion layout stops responding when expanding/collapsing in some cases
  - EXTJSIV-11166 Removing a component under a collapsed panel throws setStyle error
  - EXTJSIV-9917 Constraining Window inside Panel not working if animateTarget is in use
- Performance (1)
  - EXTJSIV-7488 Menu item activation/deactivation very CPU intensive on IE9
- Selection Model (2)
  - EXTJSIV-9118 De-selecting from MultiSelect w/selection mode: "single" throws exception
  - EXTJSIV-9138 Unable to reload buffered grid when rows are selected
- Tabs (2)
  - EXTJSIV-10909 Tab's default closeText is overridden incorrectly
  - EXTJSIV-9350 Cannot close tabs using the close icon in opera 11
- Theme (6)
  - EXTJSIV-10033 Neptune's grid header trigger images are not referenced correctly using theme-background-image()
  - EXTJSIV-11082 The $include-ie sass variable doesn't properly exclude all IE-specific rules when set to "false"
  - EXTJSIV-11119 CSS precedence for button's "focus" and "over" states is incorrect, "over" should take precedence over "focus"
  - EXTJSIV-9723 Add support for linear-gradient in IE10
  - EXTJSIV-9888 ellipsis is displayed in the header when using a rowexpander column
  - EXTJSIV-9970 Neptune tool spritesheet inconsistencies
- ToolTips (2)
  - EXTJSIV-10833 Qtip doesn't stretch to fit its title
  - EXTJSIV-9901 Tooltip text is cut off in Firefox on Mac OS
- Toolbars (2)
  - EXTJSIV-10623 Checkboxes do not retain state in overflow menu
  - EXTJSIV-9588 Keyboard navigation no longer works with toolbar buttons
- Tree (6)
  - EXTJSIV-10270 Tree node drag scrolls in wrong direction
  - EXTJSIV-11284 Multi-select drag/drop tree allows multiple nodes to be dragged simultaneously
  - EXTJSIV-6080 Cell editor sometimes not hidden when external mousedown is on a DragZone
  - EXTJSIV-8237 Tree: non-leaf nodes aren't given proper styles and functionality when id or children isn't set
  - EXTJSIV-9544 Tree events are not being relayed through the TreeStore
  - EXTJSIV-9867 Tree expansion. Repeating right arrow key during animated node expand blurs tree.
- Window (7)
  - EXTJSIV-10107 Window's drag proxy is not shown with the correct z-index in some cases
  - EXTJSIV-10566 Closing a panel with draggable:false incorrectly assumes it has a DragSource
  - EXTJSIV-5957 Window stays in front of modal Messagebox
  - EXTJSIV-6229 zIndexManager.bringToFront() called multiple times
  - EXTJSIV-9018 Window header ghost does not mirror actual header during drag
  - EXTJSIV-9704 window resize event stops firing after restore
  - EXTJSIV-9984 MessageBox Icon alignment incorrect in RTL
Total: 176

## Known Issues

- Animation (1)
  - EXTJSIV-5487 accordion animation doesn't always complete if you click frequently
- Charts (2)
  - EXTJSIV-10739 RTL Charts do not correctly display bidirectional text
  - EXTJSIV-5108 can't create label for type area series
- Core (1)
  - EXTJSIV-4942 Element#tgetWidth() returns an incorrect result for naturally widthed absolutely positioned elements in some cases.
- Data (4)
  - EXTJSIV-4319 Use a parameter other than 'id' for server calls
  - EXTJSIV-4335 Duplicate records when calling sync() on a autoSync store
  - EXTJSIV-4372 Grid Filtering Example: Bug with database return packet
  - EXTJSIV-6881 AMF Packet does not support AMF3 objects with externalizable traits
- Documentation (1)
  - EXTJSIV-5156 Update documentation that fields (id,text,leaf) are expected
- Examples (1)
  - EXTJSIV-5997 Tabs: Group Tabs:Form Layout UI get truncated on IE6
- Forms (1)
  - EXTJSIV-2081 Issue with "Bullet list" in the form widget editor
- Grid (3)
  - EXTJSIV-4091 Grid filters: initial value can be set, but it is not applied
  - EXTJSIV-5125 FiltersFeature - Updating column header class when using a column group
  - EXTJSIV-5607 Grid: getEditorParent is ignored - nested cell editing is not possible
- Layouts (3)
  - EXTJSIV-3704 Ext.layout.container.Box: wrong children margins if using CSS rules
  - EXTJSIV-4768 Border Layout : regions overlap when size (or size constraint) won't allow all regions to fit container
  - EXTJSIV-7497 Form layout with shrink-wrapping in either dimension produces a layout failure
- Misc (4)
  - EXTJSIV-4545 Kitchen Sink - Basic Tabs : By default tab headers are not displaying in Basic tabs.
  - EXTJSIV-4937 Combination Examples : Web Desktop : Notepad :Displaying errors in error console upon double clicking on empty space in the note pad.
  - EXTJSIV-5254 HTMLEditor.insertAtCursor issues in "Source Edit"; mode
  - EXTJSIV-8357 Element boxWrap is not supported in Neptune theme
- Panel (3)
  - EXTJSIV-5488 Panel collapse/expand behavior not as expected when called on hidden panel
  - EXTJSIV-5489 preventHeader not honored when panel is programmatically collapsed.
  - EXTJSIV-5544 Intermittent issue with collapseOnDblClick set to true on IE
- Tabs (1)
  - EXTJSIV-3625 TabPanel: defaults: closable true not configurable
Total: 25

# Release Notes for Ext JS 4.2.1

Release Date: May 16, 2013
Version Number: 4.2.1.883

## General

The final release of Ext JS 4.2.1 contains numerous fixes and small enhancements requested by customers and the community. While the details are below, there are several items worth calling out.

### New Big Data Example

The new Big Data example shows off all of the major grid features and plugins working together in a single grid. It also shows off a text field in a grid column header! Head over and check it out!

### Sencha Cmd 3.1.2

To coincide with this release, Sencha Cmd 3.1.2 is also now available. The primary change with regards to Cmd is that the packages produced by Ext JS now stay inside the "ext" folder when you generate a new application or workspace. The "ext-*" packages previous saved to your "packages" folder can be removed. For details see the release notes for Sencha Cmd 3.1.2. If you are using Sencha Cmd, it is recommended that you upgrade to the new version.

### Locale Package Consolidation

In Ext JS 4.2.0 we migrated the locale files in to Sencha Cmd packages to facilitate switching between locales. The downside is that this produced a lot of small packages that needed to be required in your `"app.json"` (or used as pure JS files). As an enhancement to this process in Ext JS 4.2.1 we have consolidated all of the locales into the `ext-locale` package. The legacy file paths are still preserved, but if you are using locale packages, you can now just do this in your `"app.json"` file:

    "requires": [
        'ext-locale'
    ]

You will still need to set `app.locale` to pick up the proper locale overrides. They are just all located in the one package in this release.

## New Features

- Core (1)
  - EXTJSIV-8123 Enhance Ext.util.Format.fileSize to calculate gigabytes (GB)
- Layouts (1)
  - EXTJSIV-9509 A splitter's collapseOnDblClick cannot be disabled via the object's config
- Locale (1)
  - EXTJSIV-9653 Locales should be consolidated to a single ext-locale package instead of requiring each locale independently
- Misc (1)
  - EXTJSIV-9389 Add SASS variables that can be used to prevent "default" UIs from being generated.
Total: 4

## Bugs Fixed

- Button (3)
  - EXTJSIV-9323 Focus is not set on buttons in IE
  - EXTJSIV-9658 Button layout fails when button component height is too small
  - EXTJSIV-9864 Disabled buttons can still receive focus using TAB
- Charts (4)
  - EXTJSIV-7235 Series label color is not applied and location is incorrect
  - EXTJSIV-9393 Series instance cannot be initialized properly
  - EXTJSIV-9422 Issues with custom font, padding, itemSpacing of chart legend box
  - EXTJSIV-9536 Stacked Column Chart with Missing Y Value has Incorrect Maximum
- Core (10)
  - EXTJSIV-8286 Element.switchOff() and other animation methods do not call users callback on complete
  - EXTJSIV-8764 Element.on/un and Observable.un should accept function names as Observable.on does
  - EXTJSIV-9339 TextMetrics ignores container styles
  - EXTJSIV-9405 CSS reset style rule remains on the body that sets border box
  - EXTJSIV-9469 Ext.Date format creates global variables
  - EXTJSIV-9535 Ext.util.Format.number incorrect result with custom locale and value < 1000
  - EXTJSIV-9590 mouseoverItem in Ext.view.View
  - EXTJSIV-9604 Ext.clone needs hasOwnProperty check for IE browsers with enumerable bug
  - EXTJSIV-9630 Ext.destroy should support destroying stores
  - EXTJSIV-9689 Resizable: resize handles are always transparent
- Data (6)
  - EXTJSIV-8977 PagingMemoryProxy's load mask is never removed
  - EXTJSIV-9326 The removeAll method does not completely clear a buffered store
  - EXTJSIV-9523 Changing id in filtered store skips snapshot
  - EXTJSIV-9550 Store removeAll doesn't clear snapshot
  - EXTJSIV-9811 Stores configured with autoDestroy: true may produce JavaScript errors in certain cases
  - EXTJSIV-9815 AbstractMixedCollection does not filter out records with duplicate id's when added in bulk
- Direct (3)
  - EXTJSIV-7766 Timeout is ignored if form is submitted with DirectSubmit
  - EXTJSIV-9250 DirectLoad and DirectSubmit actions should resolve Direct methods on first call
  - EXTJSIV-9295 Direct PollProvider does not handle erroneous input properly
- Documentation (7)
  - EXTJSIV-7521 Lockable mixin is not listed for Grid in the docs
  - EXTJSIV-8004 Documentation on #SenchaCmd for #ExtJS doesn't mention to use latest version of #SenchaSDK tools. Can easily get caught
  - EXTJSIV-8487 Ext.Component.afterRender marked as private
  - EXTJSIV-8488 Ext.dd.DragZone.destroy should be marked public
  - EXTJSIV-9294 Ext.ComponentQuery needs more documentation
  - EXTJSIV-9636 Ext.app.Application name should be documented as mandatory
  - EXTJSIV-9659 The Building Themes for ExtJS guide is empty
- Draw (2)
  - EXTJSIV-9786 Drawing: Re sizable Sencha Logo: Displaying JS Error on Loading the example on IE9 Browser.
  - EXTJSIV-9795 Drawing : Browser Logos : Displaying JS error upon closing the Draw component panel.
- Events (1)
  - EXTJSIV-9261 Observable.observe does not capture events properly
- Examples (2)
  - EXTJSIV-9654 Basic Templating example has incorrect XTemplate statement
  - EXTJSIV-9757 Combination Examples: Web Desktop : Displaying JS error while selecting options from the menu.
- Forms (17)
  - EXTJSIV-7355 numberfield's autoStripChars does not work on numbers with exponents such as "1e42"
  - EXTJSIV-7792 Forms scrolls in window in Chrome
  - EXTJSIV-8006 Combobox field value not correct on select event when leaving field using mouse click
  - EXTJSIV-8067 HtmlEditor - tabbing into editor field in Internet Explorer 9 throws error
  - EXTJSIV-8158 Triggerfield height can not be adjusted with setHeight()
  - EXTJSIV-8278 Background color does not follow growing text
  - EXTJSIV-8542 htmleditor places a "br" tag in the editor field after pressing the source edit button in firefox
  - EXTJSIV-9303 HtmlEditor throws JS error when selecting certain toolbar items with selected text on IE
  - EXTJSIV-9439 Loading large amount of data in the HtmlEditor locks up FF19 / FF20
  - EXTJSIV-9487 Default 'x-form-file-wrap' class not applied to filefield when form contains a fieldBodyCls in fieldDefaults
  - EXTJSIV-9501 HTMLEditor - setValue does not work when component is not rendered
  - EXTJSIV-9527 HtmlEditor causes form isDirty() to be true
  - EXTJSIV-9555 combineLabels does not work
  - EXTJSIV-9558 In tabbed panel, data doesn't load in HtmlEditor
  - EXTJSIV-9603 Combo is too slow when loading a large amount of items
  - EXTJSIV-9641 FieldSet fieldvaliditychange and fielderrorchange don't fire
  - EXTJSIV-9766 Double clicking on editor causes: NS_ERROR_INVALID_POINTER
- Grid (44)
  - EXTJSIV-5245 Grid column lines are shown for hidden columns if RowExpander is used
  - EXTJSIV-5543 focus is lost on an active cell editor in an editable grid
  - EXTJSIV-6294 When tabbing quickly through cell editing, the cell editor drops out of edit mode (intermittent)
  - EXTJSIV-6734 Hidden grid column's height is not properly measured when wordwrap is used
  - EXTJSIV-7331 HeaderContainer defaults doesn't work if there is a column with locked: true
  - EXTJSIV-7437 GridFilters feature doesn't work for unlocked columns
  - EXTJSIV-7855 Setting a value in a grid removes focus from textfield
  - EXTJSIV-8795 Grids lose horizontal scroll position on row focus in IE
  - EXTJSIV-8910 Grid filters aren't taking a lockingPartner into account when filtering
  - EXTJSIV-9001 VERY slow tree grid on second load with bufferedrenderer plugin
  - EXTJSIV-9095 blur() not firing when pressing tab to leave datefield grid cell editor
  - EXTJSIV-9130 Bufferedrenderer can lose track of scroll position if user scrolls grid rapidly
  - EXTJSIV-9139 Buffered renderer crashes when modifying store before rendered
  - EXTJSIV-9262 drag/drop plugins cause grid focus and scrollbar reset with prevent focus
  - EXTJSIV-9367 Cell beforeedit event is fired twice when clicking on an editable cell
  - EXTJSIV-9376 Grid RowExpander does not work with locking enabled
  - EXTJSIV-9379 Grid performance with many columns and editing
  - EXTJSIV-9380 Grid column lines not synced with header in locked+grouped sample
  - EXTJSIV-9382 Load mask disappears too soon when buffered store loads pages.
  - EXTJSIV-9385 Tab key not working on grid cell edit with group feature, but ungrouped store
  - EXTJSIV-9390 GridPanel reconfigure does not refresh the data on reconfigure if there's a buffered renderer plugin.
  - EXTJSIV-9397 Grids: Infinite Grid: Vertical scroll bar size increases after sorting any columns
  - EXTJSIV-9402 forceFit calculations being applied too late upon reconfigure.
  - EXTJSIV-9406 Grid not displaying emptyText when container layout 'auto'
  - EXTJSIV-9411 Meta config example throws errors on mouseover after reloading metadata
  - EXTJSIV-9426 Ellipsis no longer appear in grid column header when column title is long
  - EXTJSIV-9438 Nested column headers do not get the correct height when using white-space:normal
  - EXTJSIV-9453 Resizing last column of grid throws error
  - EXTJSIV-9454 Hiding a wide column in a crowded forceFit grid can shrink the column upon show.
  - EXTJSIV-9457 Auto align feature on column divider incorrect in IE in some cases
  - EXTJSIV-9475 Kitchen Sink: Grids: Big Data: Emptying cell data under 'Name' column and then clicking on 'Update' button under row editor displays JS error
  - EXTJSIV-9476 Kitchen Sink: Grids: Big Data: Drag and drop 'Notice Period' column into locked area displays JS error
  - EXTJSIV-9532 Column widths go wrong with hidden column and forcefit true
  - EXTJSIV-9562 Grid summary columns not resizing/behaving same as regular grid columns
  - EXTJSIV-9595 Kitchen Sink: Big Data: Locking the 'Absences' group displays JS error
  - EXTJSIV-9637 Row Grouping Grid with locked column presents incorrect row alignment with large datasets
  - EXTJSIV-9662 Combination Examples: Kitchen Sink: Grouped Grid: Expanding a group for second time displays JS error
  - EXTJSIV-9691 RowEditor should flip its buttons to the top when there is not room to scroll them into view.
  - EXTJSIV-9756 Combination Examples: Kitchen sink: Drag and Drop: Grid to form: The swapping and the Drag and Drop Functionality is not working on IE10 Browser.
  - EXTJSIV-9804 Grid doesn't check hidden state in hide/show
  - EXTJSIV-9805 Column events not fired correctly
  - EXTJSIV-9819 collapseAll() and expandAll() create circular logic that locks up the browser when a grid is grouped and locked
  - EXTJSIV-9851 Grouping doubles up on expand / collapse when buffer rendered and data fits within view height.
  - EXTJSIV-9860 Kitchen sink: Big Data: Collapsing a group displays JS error
- Layouts (6)
  - EXTJSIV-7407 Adding a collapsed region to a border layout throws an error
  - EXTJSIV-8000 Borders problem with collapsible and 'mini' collapseMode within border layout
  - EXTJSIV-9272 Anchor and Column layouts have unnecessary gap for scrolling
  - EXTJSIV-9305 Anchor layout does not exclude scrollbar width when the autoScroll=true and anchor=100%
  - EXTJSIV-9401 In some cases constraints like minHeight can cause layout failures
  - EXTJSIV-9714 Layout Managers: Complex Layout: The field is void in editable mode when switched using "Tab" key in keyboard.
- Locale (3)
  - EXTJSIV-7179 Missing translation for TextField blankText config in cs locale
  - EXTJSIV-7426 Locale override remains in German Locale file and comments state they should be removed for 4.1.x
  - EXTJSIV-9580 Polish translation targets msg property of AbstractView for localized text but should be loadingText
- MVC (1)
  - EXTJSIV-9486 Application inheritance does not work properly
- Menu (1)
  - EXTJSIV-9296 Menu with floating false is not positioned properly in right aligned HTML
- Misc (3)
  - EXTJSIV-8419 MessageBox does not respect construction-time configs vs those passed to each show call
  - EXTJSIV-9391 LTR scrolling is not handled correctly when RTL overrides are included
  - EXTJSIV-9877 RowNumberer column header shows ellipsis in IE8
- Panel (1)
  - EXTJSIV-9823 the *-{ui} class is not being added to the header of a panel
- Selection Model (3)
  - EXTJSIV-9003 Grid selection range doesn't select correctly
  - EXTJSIV-9288 Row selection model does not handle vetoed mousedown events
  - EXTJSIV-9357 No way to restrict method of deselection in single selection model to ctrl+click as it was in previous versions
- Tabs (2)
  - EXTJSIV-7337 Nested tab panels don't maintain constraint or masking with windows
  - EXTJSIV-9625 Side tabs throw exception if tabs are hidden initially.
- Theme (4)
  - EXTJSIV-8453 Tree lines have 1px gaps in Neptune theme
  - EXTJSIV-8749 Neptune - Create color variables for Global Error (red) and Confirmation (green)
  - EXTJSIV-9423 Accessibility theme needs tool icons for window move and resize
  - EXTJSIV-9824 There is no variable to control the base path of resources used in the CSS output
- ToolTips (2)
  - EXTJSIV-8824 Tooltip cuts off content on Chrome
  - EXTJSIV-8935 Tooltips aligning using left origin when in RTL mode
- Tree (8)
  - EXTJSIV-8327 Ext.tree.Panel ignores value of Ext.enableFx
  - EXTJSIV-9229 remote tree node expand not take proxy.extraParams set at beforeexpand
  - EXTJSIV-9414 Dropping to tree from grid causes JavaScript error due to nodeHighlightOnDrop
  - EXTJSIV-9462 Tree node arrow in IE10 do not show expand state properly
  - EXTJSIV-9511 beforeitemsexpand should fire before beforeload
  - EXTJSIV-9515 expandAll's callback is called for the last node in every descendant non-leaf
  - EXTJSIV-9798 Trees : Locking Tree Grid: Unable to check or uncheck the check boxes under "Done" column when any of the columns are hidden
  - EXTJSIV-9832 Combination exampes: Kitchen Sink: Trees: Two Trees: Unable to expand/collapse & move on the folder in the tree panel in a specific scenario.
Total: 133

# Release Notes for Ext JS 4.2.1 Beta 1

Release Date: April 10, 2013
Version Number: 4.2.1.744

## New Features

- Core (2)
  - EXTJSIV-7969 There should be an easy way to reset a color picker
  - EXTJSIV-9019 constrainTo needs an option to restrict keep constrained item away from outer edges of the area
- Examples (1)
  - EXTJSIV-9276 Add usage of RowExpander to KS BigData grid example.
- Forms (1)
  - EXTJSIV-8947 ComboBox should have anyMatch and caseSensitive options
- MVC (1)
  - EXTJSIV-9070 Controllers loaded from other controllers should be supported
Total: 5

## Bugs Fixed

- Core (7)
  - EXTJSIV-8568 getPlugin fails if plugins is not declared as an array
  - EXTJSIV-9049 Date parse using "m/Y" format wraps "end of month" into "next month" depending on current date
  - EXTJSIV-9101 Box layout's menu overflow handler puts overflow menu at right in RTL mode. Should go on left.
  - EXTJSIV-9122 Capturing listeners aren't removed from DOM element in Ext.EventManager.removeListener()
  - EXTJSIV-9151 Ext.util.MixedCollection.sortByKey does not work
  - EXTJSIV-9240 Container insert and move methods do not respect component instances vs indexes
  - EXTJSIV-9342 Container does not recurse into floatingItems in getRefItems breaking ComponentQuery for floating descendants
- Data (4)
  - EXTJSIV-9074 Combo does not respect autoLoad:false with remote filter
  - EXTJSIV-9176 Updating a record in grouped store, trigger remove action on the store's proxy
  - EXTJSIV-9184 Configuring a Store with groupField and getGroupString doesn't work.
  - EXTJSIV-9201 TreeStore setProxy method doesn't return the proxy object
- Direct (1)
  - EXTJSIV-9333 Direct call doesn't work with buffering disabled in 4.2.0
- Examples (2)
  - EXTJSIV-9226 Closing theme changer dialog breaks window resizing
  - EXTJSIV-9232 MVC:Feed Viewer: Adding new feed displays JS error
- Forms (22)
  - EXTJSIV-7436 Fileupload button doesn't expand height to cover button in tall file field component
  - EXTJSIV-7764 Ext.form.Panel does not relay updateRecord from BasicForm
  - EXTJSIV-7836 Display field does not report proper height when text wraps and gets clipped or overlapped
  - EXTJSIV-7877 Calling setValue on textarea with a numeric value throws JS error
  - EXTJSIV-8250 Ext.slider.Multi setMinValue and setMaxValue don't fire change event
  - EXTJSIV-8784 FieldContainer invalidCls causes double error indicators
  - EXTJSIV-8950 Buttons blur themselves on invocation of their handlers making them and their ancestor hierarchy keyboard-inaccessible
  - EXTJSIV-8960 File field can overlap things if buttonOnly is true
  - EXTJSIV-9075 Destroying a combobox does not clean up the KeyNav
  - EXTJSIV-9100 RTL - form fields on a toolbar are misaligned in IE quirks
  - EXTJSIV-9168 Items are not always removed from form when destroyed
  - EXTJSIV-9169 Overflow menu trigger button is placed at right side of editor in RTL mode
  - EXTJSIV-9182 form.submit() with fileuploadfield does not trigger failure handler for HTTP errors
  - EXTJSIV-9185 Combobox with large fieldLabel can cause misplacement of picker
  - EXTJSIV-9237 Slider with increment configured adjusts the maxValue
  - EXTJSIV-9260 hiddenfield occupies the visile place in the form
  - EXTJSIV-9266 Combo trackOver:false does not disable overItemCls tracking
  - EXTJSIV-9274 File input element covers text field and steals clicks displaying file browser
  - EXTJSIV-9287 Basicform keeps reference of destroyed items
  - EXTJSIV-9335 Button of file field component does not render correctly in RTL mode
  - EXTJSIV-9344 Bug with FieldSet and grid cell editing plugin
  - EXTJSIV-9421 DateField doesn't show the picker inside collapsed region
- Grid (11)
  - EXTJSIV-5922 Locking, grouping and buffered rendering do not work together.
  - EXTJSIV-6806 Grid locking and row editing do not work together
  - EXTJSIV-9077 Grid headers do not have proper gradient stretching when sliced for IE
  - EXTJSIV-9102 Mouseover row highlighting not working in wrapped rows.
  - EXTJSIV-9141 After ending cell editing with the Enter key, keyboard navigation no longer works.
  - EXTJSIV-9195 grid reconfigure without store throws JS error
  - EXTJSIV-9214 Grid cell edit with group feature not updating values
  - EXTJSIV-9224 RowExpander doesn't fire events on the proper grid view when locking
  - EXTJSIV-9251 on grid's record destroy, the selectionchange event is not fired
  - EXTJSIV-9253 Changing the group field value of a record in a grouped grid throws an error.
  - EXTJSIV-9268 Ext.grid.Panel allowDeselect config has no effect
- Layouts (3)
  - EXTJSIV-8553 Text wraps/clips in IE10 (in tooltips for example) because Direct2D rounding bug is not properly detected
  - EXTJSIV-9116 Hightlight focus doesn't completely cover under overflow menu options
  - EXTJSIV-9234 Border layout does not apply child margins on reversed sides in RTL
- Locale (1)
  - EXTJSIV-9340 Datepicker is not picking up localized text properly
- MVC (1)
  - EXTJSIV-9105 In controller using views: 'Microsoft.view.MyView' generate many requests
- Menu (2)
  - EXTJSIV-9099 Grouped menu check items display checkbox
  - EXTJSIV-9104 MenuManager's mousedown clickhandler doesn't always work on IE
- Misc (1)
  - EXTJSIV-9143 Ext.isIterable returns true for MixedCollection
- Panel (2)
  - EXTJSIV-8589 Panel ghost is not assigned the proper z-index in some cases
  - EXTJSIV-9330 Collapsed panels that need an additional Header do not propagate margins to that header
- Selection Model (1)
  - EXTJSIV-8279 Error when trying to select a record while using CellModel
- Theme (3)
  - EXTJSIV-3570 Ext JS 4 Themes - hardcoded variable colors
  - EXTJSIV-9103 ext-theme-neptune-all-rtl.css exceeds IE's maximum number of rules for a single stylesheet.
  - EXTJSIV-9160 Toggle buttons in toolbar have incorrect gradients in Gray theme
- Window (2)
  - EXTJSIV-7262 Window constrain:true inside another window, restoring position problem
  - EXTJSIV-8291 Ext.Component: show() results in two layout runs if autoRender true
Total: 63

# Release Notes for Ext JS 4.2.0

Release Date: March 11, 2013
Version Number: 4.2.0.663

## New Features

- Charts (1)
  - EXTJSIV-6723 Chart series label renderer should allow label style to be modified
- Forms (1)
  - EXTJSIV-8674 Checkbox and RadioButton should have setBoxLabel method
- Grid (1)
  - EXTJSIV-8904 RowEditorButtons goes to 100% width on IEQuirks
- Locale (1)
  - EXTJSIV-8670 Locales should be Sencha Cmd packages of type = locale
- Misc (1)
  - EXTJSIV-8701 Floating RTL Switcher In Examples
Total: 5

## Bugs Fixed

- Button (2)
  - EXTJSIV-9026 Neptune disabled buttons do not have proper opacity in IE8 and older
  - EXTJSIV-9058 NEPTUNE: Miscellaneous: Buttons: The contents on the buttons are missing when they are disabled on IE
- Charts (2)
  - EXTJSIV-8798 Setting up legend for chart throws JavaScript error
  - EXTJSIV-9009 Pie chart Labels do not display the correct values once slices are hidden
- Core (2)
  - EXTJSIV-8659 Add ms prefix to Ext.supports.CSS3LinearGradient
  - EXTJSIV-8671 Kitchen sink demo doesn't show in FF
- Data (1)
  - EXTJSIV-3547 Ext.data.TreeStore fires "update" event twice due to error in Model.
- DataView (3)
  - EXTJSIV-8476 Animated dataview plugin failing to position correctly in RTL mode
  - EXTJSIV-8719 Mouseover buffer delay too large by default. Causes perceived lag.
  - EXTJSIV-8923 Intermittent errors when clicking/mouseovering views/grids which dynamically update.
- Documentation (2)
  - EXTJSIV-8672 Using persistenceProperty breaks Grid
  - EXTJSIV-8746 Cell selection model does not support "multi" mode
- Examples (9)
  - EXTJSIV-8690 Portal example header text color looks bad in neptune theme
  - EXTJSIV-8698 Desktop toolbar is too tall in RTL mode
  - EXTJSIV-8711 Feed Viewer: Adding the 'Sci/Tech' or 'Yahoo' feed displays the each news content in HTML format
  - EXTJSIV-8754 Cannot apply a template in neptune using example templates
  - EXTJSIV-8782 Drag and Drop: Field to Grid DnD: Default page displaying JS error
  - EXTJSIV-8833 Combination Examples: Kitchen sink: Grid to Grid: Drag and drop records from first grid to second displays js error and not able to drag from second time
  - EXTJSIV-8915 Web fonts are not loading properly in IE - they are being returned as text/plain and being truncated
  - EXTJSIV-8925 Grid: Grid Grouping with Summary: Incorrect summary is displaying after swapping the columns
  - EXTJSIV-8990 Grids : Editable Grid with JSONP writable store : Fields under "User" form are overlapped by the bottom toolbar.
- Forms (7)
  - EXTJSIV-7921 Forms: inputEl is not properly destroyed and will leak memory
  - EXTJSIV-8386 BasicForm doesn't get dynamically added items
  - EXTJSIV-8528 Tooltip layout is wrong in IE10
  - EXTJSIV-8643 Form fields in docked items don't fire form's dirty event
  - EXTJSIV-8724 Simple combobox filtering fails
  - EXTJSIV-8841 Spinner fields trigger background is transparent, allows panel background to bleed through
  - EXTJSIV-9010 HtmlEditor border is on the wrong element.
- Grid (16)
  - EXTJSIV-3994 Grid scrolls when focusing or selecting a row
  - EXTJSIV-8325 Grid sel models do not initialize correctly when configured with seltype: 'xxxxx'
  - EXTJSIV-8367 Cell editing navigation does not work when locked columns are all unlocked
  - EXTJSIV-8539 Ext.grid.column.CheckColumn arrives in the framework as a replacement for the UX Ext.ux.CheckHeader as a way of displaying mutable checkboxes in grid columns.
  - EXTJSIV-8603 Ext.grid.plugin.HeaderResizer throws error in forceFit with sibling grid
  - EXTJSIV-8619 IE scrolls when clicking on editable cell
  - EXTJSIV-8625 Neptune - Grid: top border is missing
  - EXTJSIV-8757 Grids: Grid Plugins: First grid 'Collapsible grid with lockable columns' displays empty with no data
  - EXTJSIV-8758 Grids: Grid Row Editing: Default page displaying JS error
  - EXTJSIV-8775 RTL: Grids: Sliding Pager: Clicking on slider bar displays JS error
  - EXTJSIV-8786 Grids : Buffered Grid Example : No data is displaying after sorting the columns in a specific scenario.
  - EXTJSIV-8867 Neptune : Grids: Grid Filtering : By default all buttons are not displaying in the grid footer.
  - EXTJSIV-8898 Multi selection functionality is not working under List View grid
  - EXTJSIV-8905 Grids:Locking Row Editing: JS Error on double clicking on any of the editable fields in RTL Mode.
  - EXTJSIV-8906 Using the RowEditor on a locked grid produces errors
  - EXTJSIV-8945 Grid header menu hides upon check of visibility checkbox
- Layouts (5)
  - EXTJSIV-8204 ColumnLayout is broken or behaves differently as expected
  - EXTJSIV-8660 Unable to collapse border region by double clicking on splitter
  - EXTJSIV-8661 Collapsing a Panel with any user-configured baseCls breaks placeholder collapse.
  - EXTJSIV-8725 Tab scroller partially obscures the active tab
  - EXTJSIV-8736 Layout Managers: Border Layout: The Expand/Collapse button (Center aligned on the vertical bar) is getting separated from the bar when the right panel is expanded
- MVC (1)
  - EXTJSIV-8217 Ext.application() breaks when config object contains requires
- Menu (1)
  - EXTJSIV-8730 Neptune: Toolbars and Menus: Basic Toolbar: Menu scrollers are not displayed under 'Scrolling Menu' button
- Misc (20)
  - EXTJSIV-8396 Miscellaneous: Bubbled Panel: Both panel header and toggle button's UI got disturbed
  - EXTJSIV-8438 Neptune - Panel header icon is cropped
  - EXTJSIV-8702 Grid data rows need to be vertical-align:top
  - EXTJSIV-8708 Layout Managers: Complex Layout: The "Collapse/Expand" Button's Position is changing from top to bottom when tried to collapse and expand.
  - EXTJSIV-8731 Combination Examples : Right -to-Left (RTL) :By default "RTL" example displaying in "LTR" mode.
  - EXTJSIV-8755 Rows in a locking TreeGrid can become misaligned
  - EXTJSIV-8818 Bug with password field as a grid editor
  - EXTJSIV-8820 Windows with no header throw a JS error when maximized
  - EXTJSIV-8823 Ext.view.Table does not refresh columns on commit after store.sync
  - EXTJSIV-8859 Kitchen Sink: Field to Grid : Drag and drop the fields on to grid for second time and then immediately clicking on records displays js error
  - EXTJSIV-8869 KitchenSink-all.css contains rtl rules
  - EXTJSIV-8875 Neptune - Double click action on button creates visual defect
  - EXTJSIV-8880 Neptune - Green placement indicator should be used everywhere
  - EXTJSIV-8951 TreePanel doesn't fire itemmove event on Drag'n'Drop
  - EXTJSIV-8966 After calling record.reject() GridView doesn't clear dirty mark
  - EXTJSIV-9005 Ext.view.NodeCache must confirm element exists before trying to use it
  - EXTJSIV-9020 Nested loading example fails to load
  - EXTJSIV-9038 Expanding a tree node causes multiple layouts
  - EXTJSIV-9050 Grouping feature breaks BufferedRenderer scrollTo function
  - EXTJSIV-9052 Window modal mask too bright, and uses wait cursor.
- Panel (2)
  - EXTJSIV-8304 Panel titleAlign: center - render issue?
  - EXTJSIV-8800 Panels inside tables crash IE in quirks mode
- Selection Model (1)
  - EXTJSIV-9064 Selecting a grid's row with a buffered store causes a JavaScript error
- Tabs (1)
  - EXTJSIV-9015 Disabled Closable Tabs - close icon should be "greyed" out
- Theme (2)
  - EXTJSIV-6394 Gray Theme Disabled Tab Background is Pink!
  - EXTJSIV-8704 Grid Filter plugin Neptune Theme (boolean filter don't show radio images)
- Tree (4)
  - EXTJSIV-8759 Combination Examples: Simple Tasks: Displaying JS error while trying to add new folder when 'List' panel is collapsed
  - EXTJSIV-8805 Ext.data.Nodeinterface - collapseChildren not working as specified
  - EXTJSIV-8832 Combination Examples: Kitchen sink: Tree Reorder: Tree panel displayed empty without nodes and js error is displayed in console
  - EXTJSIV-8874 Tree Grid - Expand Collapse action shrinks column width
- Window (2)
  - EXTJSIV-8741 Neptune - WIndow >> Progress Dialog: the progress bar is cropped
  - EXTJSIV-8848 Windows: Window Variations: Top two floating windows are missing header titles and displayed with white patches
Total: 83

# Release Notes for Ext JS 4.2.0 RC 1

Release Date: February 13, 2013
Version Number: 4.2.0.489

The major new arrival in this release is Neptune! In support of Neptune there have been many internal changes. The goal was to preserve the historical structure of the SDK zip as much as possible, however, there are some noteworthy changes and additions.

At a glance:

- Themes are now organized as "packages" using Sencha Cmd 3.1. This allows themes to exist as self-contained folders with all of their required SASS, JavaScript and other resources. Themes use theme inheritance to share code and resources between each other.
- All packages exist in the `"./packages"` folder off the Ext JS root. Packages contain source for building into your applications using Sencha Cmd 3.1+ as well as pre-built versions of CSS and JS files. These are used in "dev mode" or as part of your application if you are not using Sencha Cmd. The pre-built content for each package is in its `"./build"` folder.
- Both the Neptune theme ("ext-theme-neptune") and Classic theme ("ext-theme-classic") extend the Neutral theme ("ext-theme-neutral") to inherit most of their styling needs. They provide their own distinct, image assets.
- The Gray ("ext-theme-gray"), Accessibility ("ext-theme-access") and Classic Sandbox ("ext-theme-classic-sandbox") themes all extend Classic.

Content changes:

- If you are not using Sencha Cmd to build, then the ideal locations to pull CSS and image assets from the SDK are the package builds. For Neptune that is `"./packages/ext-theme-neptune/build"` and for Classic `"./packages/ext-theme-classic/build"`.
- The `"./resources"` folder is a legacy folder that contains copies of files that now reside in their new home in the `"./packages/ext-theme-classic/build"` and related folders.
- New content, such as the Neptune theme, do not exist in the `"./resources"` folder.

Changes to theme creation process:

- Compass is still required to build framework themes.
- Creating themes can be accomplished in the old way by importing the "all.scss" file from the Ext JS theme.
- The ideal approach for building themes is to move the theme to the new Sencha Cmd 3.1 package format. Following this approach you will only need to run `sencha package build` to produce your theme (including IE image slicing). Sencha Cmd will handle making all of the required Compass calls for you as well as process inherited themes.
- To create an empty theme:

      sencha -sdk /path/to/ext-4.2.0 generate workspace /path/to/workspace
      cd /path/to/workspace
      sencha generate package -type=theme mytheme
      cd packages/mytheme

  See the Sencha Cmd guides for more details.
- Given an empty theme (as produced above), you need to edit the `"package.json"` file to set the base theme by adding an "extend" property:

      {
          "name": "mytheme",
          "type": "theme",
          "version": "1.0.0",
          "compatVersion": "1.0.0",
          "extend": "ext-theme-neptune"
      }

- Look for new guides describing this process shortly, but in the interim, look at how the provided themes are structured as a reference.

Changes to theme creation in SASS:

- Themes provide many more variables to control their styling than in previous versions.
- While these are being documented, please refer to the theme's variable definition files found the their package folder (e.g., `"./packages/ext-theme-neptune/sass/var"`). These files are organized to precisely match the components to which they apply. Keep in mind that the variables of base themes also apply. These will be in their own `"./sass/var"` folder.
- Most of the variables are defined in the Neutral theme. That is, in the "ext-theme-neutral" package.
- Most of the mixins are also defined in the Neutral theme. That is, in the "ext-theme-neutral" package. These are found in the `"./packages/ext-theme-neutral/sass/src"` folder. As with variables, these files match with the respective classes and are inherited as well.
- Certain core styles that are more than presentation are defined in the Base theme ("ext-theme-base").
- Many of the high-level mixins (such as the panel mixin) now encapsulate much more of the process of defining a new "ui" (a presentation mode of a component, e.g., "default" or "framed").
- As such, calls to them will need to pass more parameters to fully define the intended "ui" and some rules that had to be manually duplicated will need to be removed from your SASS.
- Some mixin positional arguments may have changed in some cases. It is highly recommended to use named parameters when calling mixins and not positional ones to minimize any such issues.

## New Features

- Charts (1)
  - EXTJSIV-8498 Certain Chart and Legend methods should be refactored for easier overriding
- Cmd (1)
  - EXTJSIV-8638 Themes need to be Cmd packages so they can provide JavaScript overrides to builds
- Direct (1)
  - EXTJSIV-4350 Callbacks should be passed options used to make the call
- Grid (2)
  - EXTJSIV-3940 Grouping Feature is not Stateful
  - EXTJSIV-8368 RowEditor should support lockable grids
- Theme (6)
  - EXTJSIV-8383 Themes should not use resetCSS and related scopeResetCSS and styleHtmlContent
  - EXTJSIV-8632 Deliver Neptune theme (for all browsers IE7+)
  - EXTJSIV-8633 Themes should be able to inherit easily and cleanly from other themes
  - EXTJSIV-8639 Buttons and tabs should use simpler markup and be easier to theme
  - EXTJSIV-8641 SASS Mixins should contain more of the generated styles for their components
  - EXTJSIV-8642 Date pickers should use simpler markup and be easier to theme
Total: 11

## Bugs Fixed

- Charts (2)
  - EXTJSIV-4757 Setting a chart time axis to have a grid can cause errors with certain step/start val
  - EXTJSIV-7720 Minimum and maximum should be ignored in stacked charts
- Core (5)
  - EXTJSIV-8280 Ext.dom.Helper.insertHtml fails in native Windows 8 app
  - EXTJSIV-8349 Component resizer handles not visible.
  - EXTJSIV-8418 IE9 navigator.geolocation memory leak (standards mode)
  - EXTJSIV-8503 MVC removes Ext.app namespace produced by Cmd optimizer
  - EXTJSIV-8536 Focus management. Window's mousedown delayed focus timer "wins" over the focus caused by click handler.
- Data (9)
  - EXTJSIV-6327 Proxies must not be shared between Model super/sub classes. Fix requires user code to call Model.getProxy() to ensure access to a Model's proxy as it is now lazily instantiated when requested (so the proxy *property* may not be a Proxy).
  - EXTJSIV-6444 Store.isLoading() is wrong from inside Ext.view.View.collectData
  - EXTJSIV-6981 belongsTo & hasOne association's setters cannot accept record instances.
  - EXTJSIV-8149 Store removeAll() doesn't work for localstorage
  - EXTJSIV-8213 loadRawData should not fire load event
  - EXTJSIV-8227 Ext.data.Model.setFields() does not set all fields if extended
  - EXTJSIV-8272 NodeInterface subclass event firing causes stackoverflow
  - EXTJSIV-8281 TreeStore cannot remove nodes that were created and saved to server
  - EXTJSIV-8563 Tree Duplicate Nodes during load if node has expanded:true
- DataView (2)
  - EXTJSIV-8505 Data View : Displaying JS error while accessing "Data view" and "animated Data view" examples.
  - EXTJSIV-8506 Data View : Advanced Data view : Insert Image button is displaying in expand mode.
- Documentation (3)
  - EXTJSIV-7811 Problem in 4.1.x with MS dates in JSON POST to .NET WCF web service
  - EXTJSIV-8262 DnD: Ext.grid.plugin.DragDrop:beforedrop docs incorrect
  - EXTJSIV-8459 Docs don't clearly state that svg.sencha.io service only creates PNG images for exported chart data
- Examples (3)
  - EXTJSIV-8337 Progress Bar left text align doesn't seem to work?
  - EXTJSIV-8400 Accessibility: 'Binding a Grid to a Form' - Displaying JS error while accessing the example.
  - EXTJSIV-8440 Unable to add a new feed in feed viewer example
- Forms (10)
  - EXTJSIV-7388 Slider needs to be inverted in rtl mode
  - EXTJSIV-7462 Change to use tables for fields causes autoScroll to fail on FieldContainers
  - EXTJSIV-7890 File Field Button is invisible when in an initially hidden tab
  - EXTJSIV-8221 Form with standardSubmit isn't working
  - EXTJSIV-8229 TimeField's keystroke filtering overrides the TimePicker's min/max filtering.
  - EXTJSIV-8352 Fieldset titles misaligned
  - EXTJSIV-8463 FieldSet in RTL has incorrect margin
  - EXTJSIV-8467 Classic Theme in RTL : Forms : Slider Field : Unable to handle sliders in the slider filed example.
  - EXTJSIV-8545 Double assignment of value in form/Basic.js
  - EXTJSIV-8581 Combo events broken after combo.getStore().load()
- Grid (16)
  - EXTJSIV-5482 Locking grid does not support stateful mode
  - EXTJSIV-7413 A grouped and sortable grid does not save state
  - EXTJSIV-7653 While editing a cell in a grid, clicking on another grid doesn't change focus
  - EXTJSIV-8084 BufferedRenderer Grid plugin does not work properly when editing store.
  - EXTJSIV-8159 GroupField displays instead of ColumnName in a group header of a locked grid
  - EXTJSIV-8163 Grids: Infinite Grid with Remote filter: Selection focus is not responding with down arrow key in a particular scenario
  - EXTJSIV-8166 Grid raises an error if there is second grid with summary feature
  - EXTJSIV-8174 Moving a grid column causes it to disappear
  - EXTJSIV-8180 Locking Grid: adding column using reconfigure doesn't work
  - EXTJSIV-8200 Grid with CellEditing and CheckboxModel, checker width incorrect
  - EXTJSIV-8206 GroupStore.js onUpdate function throws a JS error
  - EXTJSIV-8210 Grid store listeners not cleaned up
  - EXTJSIV-8293 Lockable plugins should not be cloned unless required
  - EXTJSIV-8336 Rowbody features don't handle store record removal.
  - EXTJSIV-8416 Grouping grid icon stays on the left in RTL mode
  - EXTJSIV-8606 delayed task: delayScroll is not canceled before destroying of the Panel
- Layouts (6)
  - EXTJSIV-6867 vbox layout: containers aren't auto-heighting properly
  - EXTJSIV-7667 Table layout causes child containers using auto layout to be sized wrongly
  - EXTJSIV-8253 Ext.layout.container.Auto.calculateOverflow() can fail when scrolling
  - EXTJSIV-8323 Window header and button layout is wrong in MessageBox
  - EXTJSIV-8373 Buttongroup lays out wrong
  - EXTJSIV-8564 Click on a field in an accordion header causes the panel to collapse/expand
- Locale (2)
  - EXTJSIV-8190 Slovak locale inconsistency and errors
  - EXTJSIV-8246 Turkish locale errors
- MVC (1)
  - EXTJSIV-6672 Ext.app.Controller.addRef should accept arrays
- Misc (1)
  - EXTJSIV-5130 Neptune theme missing resources
- Selection Model (1)
  - EXTJSIV-8602 selectionchange is not fired when removing selected record
- Tabs (3)
  - EXTJSIV-7709 RTL - Themes Example - tabs do not show text in IE7 strict
  - EXTJSIV-8481 Classic Theme in RTL : Tabs : Advanced Tabs : Tab title is overlapped by close and tab image .
  - EXTJSIV-8609 Tab strip is missing bottom border in IE6,7,8 and IE quirks
- ToolTips (3)
  - EXTJSIV-8345 Tooltip background wrong colour in classic theme. It's white
  - EXTJSIV-8346 Tooltips body should be position:relative, layout is broken
  - EXTJSIV-8362 Tooltip layout not shrinkwrapping content height
- Tree (5)
  - EXTJSIV-6824 TreePanel multiselect is working incorrectly
  - EXTJSIV-8150 Dropping nodes onto folders which are currently loading throws JS error.
  - EXTJSIV-8224 Cannot deselect rows when selmodel is MULTI and treeviewdragdrop is enabled
  - EXTJSIV-8232 Event signature changed: Ext.data.TreeStore.beforeappend on root node
  - EXTJSIV-8260 Locking TreePanel autoLoads its store when regular TreePanel does not.
Total: 72

# Release Notes for Ext JS 4.2.0 Beta 2

Release Date: January 8, 2013
Version Number: 4.2.0.265

## Bugs Fixed

- Core (5)
  - EXTJSIV-8042 Ext.utils.CSS.getRule - always throws error
  - EXTJSIV-8064 Modal mask doesn't appear in Chrome and IE9
  - EXTJSIV-8079 Grid grouping labels not translated (at least for German)
  - EXTJSIV-8117 Portuguese locales: wrong day and month names
  - EXTJSIV-8136 Ext.String.repeat with negative count infinite loop
- Direct (1)
  - EXTJSIV-8021 Ext.Direct API methods should not be resolved at construction time
- Documentation (2)
  - EXTJSIV-7881 Explain interaction of reference types and configs
  - EXTJSIV-7992 Grid guide is not updated with 4.2 improvements
- Examples (2)
  - EXTJSIV-8009 Typo in desktop example
  - EXTJSIV-8029 Combination Examples: Web Desktop: 'More Items' sub menu is displayed on top left corner of the page when mouse hovered
- Forms (3)
  - EXTJSIV-6999 fileuploadfield on a form is clearing selected file path after submit button is pressed
  - EXTJSIV-7918 Checkboxgroup allowBlank:false and validitychange event not firing on first click
  - EXTJSIV-7945 Error handling issue while submitting forms with file uploads in IE9
- Grid (21)
  - EXTJSIV-7582 minHeight on table header causes layout faults if there is a scrollbar
  - EXTJSIV-7775 The hmenu-asc.gif icon for "Sort ascending" has the arrow pointing down. It's identical to the "sort descending" icon.
  - EXTJSIV-7895 Grouping Feature not able to show/hide columns when enableGroupingMenu: false
  - EXTJSIV-7949 Canceling new rows in RESTful store grid panel leaves behind a blank row
  - EXTJSIV-7952 Locked grid row heights fail to sync when OSX scroll bars turned off.
  - EXTJSIV-7961 Menus are constrained incorrectly. They should not have ownerCt configured.
  - EXTJSIV-7968 GroupGrid can hide all columns in certain scenario
  - EXTJSIV-7982 Summary feature causes errors if data is modified and view is not rendered
  - EXTJSIV-7983 Grouping grid headers do not always fill the horizontal space
  - EXTJSIV-7987 Grouping grid crash on record update
  - EXTJSIV-8003 Grouping grid allows grouping by last visible column
  - EXTJSIV-8005 Grid selection model events do not fire after reconfigure
  - EXTJSIV-8014 Double clicking to auto-size an unresizable column causes JS error
  - EXTJSIV-8038 Grid: view isn't removed from Scroll Manager when grid is destroyed
  - EXTJSIV-8043 Grid columns with no explicit renderer definition are not shown
  - EXTJSIV-8046 RowSelectionModel Keyboard navigation does not work.
  - EXTJSIV-8083 buffered grid checkbox selection model does not support select all
  - EXTJSIV-8115 hidden: true of grid column with inner columns causes error
  - EXTJSIV-8144 Grids : Grouping : Displaying Js error upon navigating the records in the grid in a specific scenario.
  - EXTJSIV-8145 Grid view refresh and toggleSummaryRow not working as expected
  - EXTJSIV-8161 Buffered Grids No Longer Work In Tab Panels
- Layouts (1)
  - EXTJSIV-7973 Layout failure in PropertyGrid
- MVC (1)
  - EXTJSIV-6032 Controller shouldn't require selector when ref has autoCreate flag
- Menu (1)
  - EXTJSIV-8167 Ext.menu.CheckItem: checked not a boolean until rendered
- Misc (4)
  - EXTJSIV-5226 Focus on OK button in MessageBox
  - EXTJSIV-6014 Incomplete Localisation for LoadMask and AbstractView
  - EXTJSIV-8052 4.2.0 beta and ent-beta builds fail sencha generate app with YUI disabled
  - EXTJSIV-8087 Delegate Ext.Object.chain to Object.create
- Panel (1)
  - EXTJSIV-7981 Crash when expanding collapsed/hidden panel
- Toolbars (1)
  - EXTJSIV-8041 more.gif in x-toolbar-more-icon class is not RTL
- Tree (1)
  - EXTJSIV-7916 Tree node removeAll(true) throws exception when there's a child node.
Total: 44

## New Features

- Charts (1)
  - EXTJSIV-5604 With multiple Column series, columns can completely obscure each other.
- Core (1)
  - EXTJSIV-7564 Add Ext.Object.isEmpty method
- Data (1)
  - EXTJSIV-7400 Added CORS support for IE (XDR)
- Forms (1)
  - EXTJSIV-8073 HtmlEditor should be a FieldContainer and use standard container layouts
- Layouts (1)
  - EXTJSIV-8072 Panel shrinkWrap should be able to include docked items in its calculation
- MVC (1)
  - EXTJSIV-7429 Controllers should be able to listen to non-Component events
- Performance (1)
  - EXTJSIV-8092 Data and Tree performance optimizations
- Tree (1)
  - EXTJSIV-7955 Trees should be able to use buffered rendering
Total: 8

# Release Notes for Ext JS 4.2.0 Beta

Release Date: December 11, 2012
Version Number: 4.2.0.179

## Bugs Fixed

- Charts (6)
  - EXTJSIV-3394 Charts - Area charts - December Month Name is missing when resize and also minimizing the chart
  - EXTJSIV-6011 Area chart numeric x-axis display bug
  - EXTJSIV-7300 Charts : Pie chart : Displaying JS error upon mouse hovering on chart legends.
  - EXTJSIV-7759 Chart ColumnSeries yField fails if not an array
  - EXTJSIV-7771 Grouped Column Chart With One Group Has Incorrect Label
  - EXTJSIV-7876 Charts: Line and Radar series: markers can't be styled with the renderer function
- Core (3)
  - EXTJSIV-4453 Method `Ext.Element.setStyle()` with `-ms-transform` does not work.
  - EXTJSIV-7534 Panel border: false option breaks rendering of content
  - EXTJSIV-7717 Internal usage of Ext.fly() overwrites user's Ext.fly singleton.
- Data (2)
  - EXTJSIV-3455 Model constructor does not set the idProperty when the id is specified as an argument to the constructor.
  - EXTJSIV-7287 A grouped store should automatically resort when data modified
- Documentation (1)
  - EXTJSIV-7805 Ext.define function form does not support overrides
- Examples (10)
  - EXTJSIV-2288 Failed test: Verify the menu display when user right click on the Desktop
  - EXTJSIV-4842 Combination Examples - Web Desktop : Left, Center & Right alignments are not properly working for "Notepad"
  - EXTJSIV-5464 Combination Examples - Kitchen sink - Displaying JS error upon clicking on ‚Äö√Ñ√∂‚àö√ë‚àö‚à´Titled Tab panels‚Äö√Ñ√∂‚àö√ë‚àöœÄ
  - EXTJSIV-6154 Combination Examples: Web Desktop: Notepad: Alignment is applying for whole text in text area and not just for selected line of text.
  - EXTJSIV-6352 Combination Examples : Feed Viewer: Tab size is not adjusting accordingly once after selecting the ‚Äö√Ñ√∂‚àö√ë‚àö‚à´Yahoo Software News‚Äö√Ñ√∂‚àö√ë‚àöœÄ under Feeds panel
  - EXTJSIV-7294 Combination Examples : Calendar : Displaying JS error while saving the event.
  - EXTJSIV-7617 Combination Examples : Web desktop : Displaying Js error upon double clicking on "maximize" button in the "About ExtJS" window.
  - EXTJSIV-7658 Combination Example: Web desktop: Note pad is not displaying upon moving in a specific scenario.
  - EXTJSIV-7700 Grid filter menu icon missing
  - EXTJSIV-7882 Combination Examples : Right-to-Left (RTL) (New) : East panel getting expand and collapse when we expand the "West" panel.
- Forms (9)
  - EXTJSIV-4477 Ext.form.field.File: no tooltip on the upload button
  - EXTJSIV-5288 Forms : Shopping Cart Checkout: Unable to delete the data from the phone number and postal code fields
  - EXTJSIV-5672 Forms: MultiSelect and ItemSelector: Down arrow and up arrow are not functional when multiple items are selected in ItemSelector List
  - EXTJSIV-5856 Combination Examples : Web Desktop: Text in the notepad getting erased by clicking the "Tab" key.
  - EXTJSIV-6023 Ext.ux.form.ItemSelector with delimited cannot read delimited values
  - EXTJSIV-7085 HtmlEditor: clicking on down arrow on forecolor or backcolor button deselects text in IE
  - EXTJSIV-7711 Selecting same highlighted item in combo does not close listbox
  - EXTJSIV-7803 Down arrow on picker fields does not move focus to popup
  - EXTJSIV-7921 Forms: inputEl is not properly destroyed and will leak memory
- Grid (13)
  - EXTJSIV-5794 Grouping grid with a summary for each group and the entire grid
  - EXTJSIV-5817 Grids - Grouping Grid - Grouping grid displaying blank in a specific scenario
  - EXTJSIV-5898 Grids- Infinite scroll grid- No data is displaying upon clicking Author column header multiple times.
  - EXTJSIV-6144 Grouping Grid column menu items are not showing the proper checked/enabled state in all cases
  - EXTJSIV-6508 Grids: RESTful Store with GridPanel and RowEditor: Value under ‚Äö√Ñ√∂‚àö√ë‚àö‚à´ID‚Äö√Ñ√∂‚àö√ë‚àöœÄ column is slightly moved down on row editor in a particular scenario
  - EXTJSIV-6734 Hidden grid column's height is not properly measured when wordwrap is used
  - EXTJSIV-7449 CellEditor does not scroll with grid
  - EXTJSIV-7472 Grid ‚Äö√Ñ√∂‚àö√ë‚àö¬® Grouped Header ‚Äö√Ñ√∂‚àö√ë‚àö¬® Able to hide all columns in a specific scenario
  - EXTJSIV-7630 Grid : Infinite Scrolling: Getting Js error when click on Expand / Collapse icons after selecting ‚Äö√Ñ√∂‚àö√ë‚àö‚à´Group by this field‚Äö√Ñ√∂‚àö√ë‚àöœÄ option in the drop down menu
  - EXTJSIV-7827 Grid TableView's trackOver config does not honour false setting.
  - EXTJSIV-7853 Grids : Infinite Grid with remote filter. Load never completes if filter returned no results.
  - EXTJSIV-7932 CellEditing + Nav error when grid is empty
  - EXTJSIV-7953 Paging Grid Example: The text preview spans 2 columns instead of 3
- Layouts (8)
  - EXTJSIV-4345 Layout does not properly handle min/maxWidth/Height if in autoWidth/Height mode
  - EXTJSIV-6030 Ext.Msg.alert fails is called while layouts are globally suspended.
  - EXTJSIV-7591 Expand border collapsed region from floated disables further collapsing.
  - EXTJSIV-7593 Border layout shuffles DOM order upon layout. This causes removed items to lose layout.
  - EXTJSIV-7687 First panel in accordion multi layout is always expanded
  - EXTJSIV-7688 Unable to specify non-collapsible panels in accordion layout
  - EXTJSIV-7744 Switching to a shrinkwrap dimension should clear that dimension in the DOM on layout
  - EXTJSIV-7858 Closing a recently collapsed region in a border layout results in a removal error
- Menu (2)
  - EXTJSIV-7304 Button Menu width does not resize when word length changes
  - EXTJSIV-7823 Menu IE7 CSS issue: too wide and too white separators
- Misc (19)
  - EXTJSIV-4015 Charts Die at 2147483648 - Max Integer
  - EXTJSIV-5483 Accessibility : Binding a Grid to a Form : Active state is missing on rating radio buttons through keyboard tab.
  - EXTJSIV-5533 Combination Examples : Ext JS Calender - The event drag and drop is not functioning as desired
  - EXTJSIV-5591 JS Calendar - Unable to scroll up/down using arrow keys to select time field.
  - EXTJSIV-5678 [4.1 RC1] Scoped CSS Incorrect in IE7/8
  - EXTJSIV-5881 Tab:TabsOverflowMenu: Tabs are not seen in the drop-down in the mentioned scenario
  - EXTJSIV-6017 Miscellaneous : Panels : ‚Äö√Ñ√∂‚àö√ë‚àö‚à´Masked Panel with a really long title‚Äö√Ñ√∂‚àö√ë‚àöœÄ is not displaying title when panel is collapsed in Opera 11.61
  - EXTJSIV-6130 Drag and Drop : Grid to Grid DnD : Displaying JS error while moving records from first grid to second grid with "Ctrl" key.
  - EXTJSIV-7015 Padding causes box layout overflow scroller to never disable scroll right button
  - EXTJSIV-7081 Offset start and limit calculated incorrectly for infinite grid
  - EXTJSIV-7095 Not triggered and unefficient summary update.
  - EXTJSIV-7207 Constrained floaters: Should maintain position but then constrain upon floatParent resize and move.
  - EXTJSIV-7374 RTL - Themes Example - Message Box does not show any content, just an empty frame.
  - EXTJSIV-7390 RTL - animation of width in rtl mode uses an incorrect anchor point
  - EXTJSIV-7447 Miscellaneous: Slider: 'Vertical Slider with multiple thumbs' tool tips are misplaced in a scenario
  - EXTJSIV-7470 Border layout: expanding collapsed region caused iframe reloading
  - EXTJSIV-7509 Grid column header trigger gets cut off if header text is too wide in IE6 & IE quirks
  - EXTJSIV-7603 Windows -> Window Variations: Constrained windows position is changing or going outside the window, when Constraining window is moved.
  - EXTJSIV-7776 ComponentQuery doesn't consider numeric zero as a value
- Panel (3)
  - EXTJSIV-5381 Panel does not open after rapid fire expand/close
  - EXTJSIV-7411 RTL - Themes Example - collapsed east placeholder has incorrect padding on tool.
  - EXTJSIV-7740 BorderLayout: 'hidden: true' is ignored if 'collapsed: true'
- Selection Model (2)
  - EXTJSIV-7848 SelectionModel selectionchange event triggered when not needed
  - EXTJSIV-7903 RowModel.onEditorTab doesn't handle cancelled beforeedit
- Toolbars (2)
  - EXTJSIV-5067 Toolbars and Menus: Basic Toolbar: Space between 'Choose a color' and 'Dynamically added item' menu items is more in IE compared to other browsers
  - EXTJSIV-7609 Toolbar overflow button has no padding-right
- Tree (2)
  - EXTJSIV-6399 TreeViewDragDrop plugin now has a sortOnDrop config to maintain sort state of target node.
  - EXTJSIV-7762 Trees: Drag and Drop Reordering: Expand/ Collapse for couple of times display JS error
- Window (1)
  - EXTJSIV-6341 Windows: Window Variations: Two floating windows ‚Äö√Ñ√∂‚àö√ë‚àö‚à´Constrained Window‚Äö√Ñ√∂‚àö√ë‚àöœÄ and ‚Äö√Ñ√∂‚àö√ë‚àö‚à´Header-Constrained Window‚Äö√Ñ√∂‚àö√ë‚àöœÄ are disappearing in a particular scenario
Total: 83

# Release Notes for Ext JS 4.1.3

Release Date: October 25, 2012
Version Number: 4.1.3.548

## Highlights

The biggest change beyond bug fixes is the new build script based on Sencha Cmd. Go to the SDK folder and run the following:

        sencha ant build

## Bugs Fixed

- Charts (9)
  - EXTJSIV-0000 Style for chart line series not applied
  - EXTJSIV-6593 Bars in bar chart are not aligned with labels using time axes
  - EXTJSIV-6611 Column chart with date axis does not render properly
  - EXTJSIV-6931 Labels on Time axis do not respect "step" config
  - EXTJSIV-6974 Custom chart theme - colors incorrectly applied with stacked columns
  - EXTJSIV-6992 Area chart x-axis does not handle ticks with different increments than the data points
  - EXTJSIV-7180 Grid update. Updating selected row refocuses that row stealing focus from any previously focused element.
  - EXTJSIV-7210 Chart losing label contrast after highlight
  - EXTJSIV-7220 Some series charts that do not have a Category Axis defined do not render
- Core (5)
  - EXTJSIV-6803 Element content updating fails to update IMG src on IE.
  - EXTJSIV-7091 Accessibility: Keyboard Feed Viewer: Unhiding √î√∏Œ©Author√î√∏Œ© column displays JS error
  - EXTJSIV-7309 Missing key:value in Ext.Date.monthNumbers of the ext-lang-fr.js file
  - EXTJSIV-7484 Splitter doesn't work with one hidden panel next to it
  - EXTJSIV-7486 Date: UTC time zone offsets are no longer calculated
- Data (4)
  - EXTJSIV-7215 DomQuery does not support an attribute selector with a "." in it
  - EXTJSIV-7226 Presence validation does not take boolean values into account
  - EXTJSIV-7269 Ext.data.NodeInterface remove doesn't call destroy if parent is null
  - EXTJSIV-7422 Field mapping should only honor 0 as a valid falsey value and ignore others
- Documentation (2)
  - EXTJSIV-7102 Missing itemclick in docs for Ext.chart.series.Series
  - EXTJSIV-7463 Update docs for propertygrid.nameColumnWidth
- Draw (1)
  - EXTJSIV-7243 Drawing √î√∏Œ© Logos - Couple of Browser logos are displaying in Black & white color in FF
- Examples (5)
  - EXTJSIV-7123 Chart examples use xtype on constructed objects
  - EXTJSIV-7196 Statusbar Advanced example problem hiding error popup
  - EXTJSIV-7268 Charts √î√∏Œ© Filled Radar Chart - Getting JS error when click on Animate Button
  - EXTJSIV-7351 Combination Examples - Web Desktop √î√∏Œ©Video is not playing and error √î√∏Œ©X√î√∏Œ© icon is displaying when select √î√∏Œ©About Ext JS√î√∏Œ© option in IE9
  - EXTJSIV-7434 Typo in text for maxSelections on both MultiSelect and ItemSelector
- Forms (11)
  - EXTJSIV-6069 ComboBox reports incorrect value when non-unique display fields are used
  - EXTJSIV-6405 Default ComboBox shrinkWrap width should match TextField
  - EXTJSIV-6959 Focus lost when error tooltip displayed on modal window/form
  - EXTJSIV-6964 HtmlEditor text highlight color is not working under html editor under Form-3 in FF browsers
  - EXTJSIV-7062 Focus on combobox and datepicker removes the ability to close the row editor with "esc" key
  - EXTJSIV-7117 ComboBox forceSelection doesn't fire select event
  - EXTJSIV-7204 Ext.form.field.File could not be fully enabled after being disabled
  - EXTJSIV-7206 A filefield initially hidden does not render the browse button correctly when shown
  - EXTJSIV-7314 Forms √î√∏Œ© Checkout form - Validation tool tip message is displaying even after entering required data in the text fields
  - EXTJSIV-7348 NumberField ignores spinDownEnabled and spinUpEnabled configs
  - EXTJSIV-7396 HtmlEditor: Editor is still focused after Source Edit is toggled off
- Grid (19)
  - EXTJSIV-6431 Grouping grid allows grouping by last visible column
  - EXTJSIV-7010 Remote grid filtering doesn't work with locked column
  - EXTJSIV-0000 Infinite grid: can't scroll to last row when cell height is changed
  - EXTJSIV-7127 Deleting row above selected cell of a grid causes multiple cells to appear selected
  - EXTJSIV-7140 Cannot call method 'getXY' of null error when scrolling buffered grid after creating new store with grid.reconfigure
  - EXTJSIV-7166 Buffered Grid scrollTo does not always reach specified scrollTop on IE
  - EXTJSIV-7167 Grid : Grid plugins : Unable to expand the gird rows when we lock all the columns in the grid.
  - EXTJSIV-7177 Grids : Cell editing with grouping Feature. Navigation allowed into collapsed groups.
  - EXTJSIV-7211 CellSelectionModel, grid editing plugin failed when used for TreePanel editing
  - EXTJSIV-7214 Locking grid gets in infinite loop when column locked config is set to false
  - EXTJSIV-7225 Grid: when using forceFit config, headers and columns are out of sync when resized
  - EXTJSIV-7238 Able to hide all columns when the one remaining column is menuDisabled
  - EXTJSIV-7335 Grid reconfigure without new store unbinds old store
  - EXTJSIV-7336 Grid column with locked false causes stack overflow
  - EXTJSIV-7361 Scroll delta difference when hovering locked and unlocked columns in FF15
  - EXTJSIV-7451 propertygrid: enableColumnResize and enableColumnMove configs don't work
  - EXTJSIV-7495 Grids:Grid Plugins: Double clicking on grid rows displays row expanded body with dotted line border
  - EXTJSIV-7519 Girds : Gird Plugins Examples : Displaying Js error while scrolling down in the grid with keyboard key.
  - EXTJSIV-7569 Table Views itemupdate event's node param is not a node associated with the view.
- Layouts (3)
  - EXTJSIV-7231 Showing/Hiding panel in borderLayout shows/hides all spliter on the same level
  - EXTJSIV-7358 JavaScript error when grid toolbars switched (IE error only)
  - EXTJSIV-7403 Overflow Tool bar : √î√∏Œ©>>√î√∏Œ© (Menu extend /Menu trigger) button is not working
- MVC (3)
  - EXTJSIV-7308 Controller classes not in a 'controller' namespace fail during class creation
  - EXTJSIV-7420 Ext.application causes synchronous loading and mail fail on some models
  - EXTJSIV-7547 Incorrect MVC namespace determined for some classes
- Menu (2)
  - EXTJSIV-7265 A checkbox is rendered on a checkmenuitem when the item is part of a radio group
  - EXTJSIV-7442 A button with a menu crashes if all menu items are disabled and you tab from field
- Misc (11)
  - EXTJSIV-4070 Modal containers allow tab out.
  - EXTJSIV-5450 Focus lost when error tooltip displayed on modal window/form
  - EXTJSIV-6845 Locking Grouping Grid: It is possible to hide all columns, resulting in a zero width grid.
  - EXTJSIV-7157 RowBody of a selected row doesn't look selected
  - EXTJSIV-7170 Ext.data.Model destroy always sends delete request to server
  - EXTJSIV-7195 HtmlEditor text area loses background color when using the highlight feature
  - EXTJSIV-7216 Page analyzer gets stack overflow in IE8
  - EXTJSIV-7234 BUGS: ExtJS API doc view -- error in IE8
  - EXTJSIV-7435 Ext.selection.DataViewModel missing view render check
  - EXTJSIV-7460 LoadMask always in front when owner has a parent container
  - EXTJSIV-7475 Tabs -> Group Tabs: JS error is displayed while navigating between the various tabs in IE6 and IE7 browsers only
- Panel (1)
  - EXTJSIV-7561 'body' missing in the docs of Panel
- Tabs (1)
  - EXTJSIV-7320 Tab Scroller Menu Plugin- Selected Tab is not activated
- ToolTips (2)
  - EXTJSIV-7139 Tooltips with header have no padding around tools
  - EXTJSIV-7221 Error tooltip shown when no error
- Tree (5)
  - EXTJSIV-7248 Unable to sort tree node in an un-rendered tree
  - EXTJSIV-7321 Tree view dragdrop does not copy a subtree
  - EXTJSIV-7341 Tree node's expand icon disappears on select when loading is required to show children
  - EXTJSIV-7466 TreeViewDragDrop plugin: configuration allowParentInserts is not working
  - EXTJSIV-7476 When reloading a tree node, view throws TypeError from updateIndexes
- Window (2)
  - EXTJSIV-7185 Initially maximized window can still drag/resize
  - EXTJSIV-7229 Stateful window shown with animation save position incorrectly
Total: 86

# Release Notes for Ext JS 4.1.2

Release Date: September 7, 2012
Version Number: 4.1.2.381

## Bugs Fixed

- Animation (2)
  - EXTJSIV-5214 Ext.fx.Amin only animates last element in target list
  - EXTJSIV-5675 animateTarget id can cause animations to fail in some cases
- Charts (12)
  - EXTJSIV-4699 Gauge Chart Label Click issue
  - EXTJSIV-6236 Columns are not bound to the x-axis
  - EXTJSIV-6249 Multiple issues with Time axis, Masks and Zoom
  - EXTJSIV-6629 chart.Chart.afterRender contains dead code
  - EXTJSIV-6708 Tooltip doesn't display the value on first mouseover
  - EXTJSIV-6789 Line carts lose style after resize
  - EXTJSIV-6861 Line series is not shown after disabling and enabling the legend item
  - EXTJSIV-6896 Bar Graph Axis become corrupted when refreshing
  - EXTJSIV-6901 Chart √î√∏Œ© Line Chart: All nodes are relocated at end point, when legend items are unchecked and checked
  - EXTJSIV-6977 Charts should restrict user from repeating category axis values
  - EXTJSIV-7065 Charts: Reload Chart: "Reload Data" button is not functioning
  - EXTJSIV-7111 Pie Charts: One of the segment does not animate when shadow is set to false.
- Core (17)
  - EXTJSIV-6520 scrollIntoView causes menu items to disappear in IE
  - EXTJSIV-6552 Instantiating local storage provider in old IE causes hard error
  - EXTJSIV-6571 Grid Selection Model fires mouseup event when using direction keys
  - EXTJSIV-6626 Ext.syncRequire() doesn't add to Ext.Loader.history the same as Ext.require()
  - EXTJSIV-6690 Calling Element.selectable() on labels doesn't make it selectable
  - EXTJSIV-6713 Ext.Element.purgeAllListeners doesn't work
  - EXTJSIV-6714 Ext.Function.createInterceptor can't return false value for intercepted method
  - EXTJSIV-6716 ExtJs 4.1.0 - XTemplate and nestled tpl for loops does not set parent values properly
  - EXTJSIV-6817 Dataview overItemCls only applied in dev mode
  - EXTJSIV-6829 Observable hasListener returns true after clearListeners
  - EXTJSIV-6852 Ext.dom.Helper fails to update innerHTML of THEAD in IE
  - EXTJSIV-6859 DomHelper.insertAfter with multiple rows always inserts the 2nd row in IE
  - EXTJSIV-6863 constrainTo property has no effect when window is being shown
  - EXTJSIV-6905 Ext.Date doesn't support 'o' and 'W' ISO-8601 formats
  - EXTJSIV-6928 Danish locale NumberField decimal separator incorrect
  - EXTJSIV-7108 setDisabled on panel during render adds class to wrong element
  - EXTJSIV-7175 Loader garbage collection causes IE to request script with null src.
- Data (28)
  - EXTJSIV-4601 Tree cannot accept a root node that is currently the root of another Tree.
  - EXTJSIV-5612 File uploads may fail in Opera
  - EXTJSIV-5677 metaData is not read in wrapped JSON (ASP.NET)
  - EXTJSIV-6305 Model instance shared if proxy subclass specifies a reader config object
  - EXTJSIV-6441 Ext.data.proxy.JsonP autoAppendParams ignored in buildUrl method
  - EXTJSIV-6483 Store's remove event is fired for each record passed - need bulkremove event
  - EXTJSIV-6550 store.reload() has hard error when called on empty buffered store
  - EXTJSIV-6614 Need spec to make sure AMF Packet can decode XMLDocument data type in AMF3
  - EXTJSIV-6615 Need spec to verify AMF Packet can decode headers
  - EXTJSIV-6616 AMF Packet has problems with floating point numbers.
  - EXTJSIV-6617 AMF Packet does not decode dates correctly
  - EXTJSIV-6622 AMF Packet needs spec for "Typed Object" data type
  - EXTJSIV-6623 AMF Grid Example throws "attempted to get unknown AMF3 type" error.
  - EXTJSIV-6663 JsonP destroy method confuses entity life cycle with object cleanup
  - EXTJSIV-6666 Model.idChanged Event not fired when saving phantom records
  - EXTJSIV-6733 Ext.view.AbstractView pollutes record's data object with associated data
  - EXTJSIV-6743 TreeStore does not require specified model class as does Store
  - EXTJSIV-6746 TreeStore nodeParam should replace "id" in requests
  - EXTJSIV-6753 DomQuery does not handle xml elements with namespace prefixes
  - EXTJSIV-6755 TreeStore CRUD read request appends "id" parameter when TreeStore's "nodeParam" parameter is already present.
  - EXTJSIV-6788 Datetime-fields not sent as null by Writer when not having a value
  - EXTJSIV-6826 Ext.data.Writer does not recognize 'timestamp' field type
  - EXTJSIV-6831 TreeStore sometimes modifies the specified root node config
  - EXTJSIV-6848 Forms: MultiSelect and ItemSelector: Items are duplicated, when drag and drop the selected items under √î√∏Œ©MultiSelect Test√î√∏Œ© form
  - EXTJSIV-6882 AMF Ajax specs have been disabled because of relative paths.
  - EXTJSIV-6933 metachange event fire multiple times
  - EXTJSIV-6935 Typo in extjs-4.1.1/src/data/Store.js line 1768
  - EXTJSIV-6988 Buffered store w/ grid locks up in loading
- DataView (3)
  - EXTJSIV-5722 Data view : Advanced Data view : Vertical scroll bar is neither moving up/down even user selection reached end of the list.
  - EXTJSIV-6437 DataView: DataView: Images alignment is disturbed when only spaces are given in the image name
  - EXTJSIV-6858 Ext.view.View fire itemadd when adding to empty view
- Documentation (7)
  - EXTJSIV-5409 Ext.String.trim method is not parsing @example tag correctly
  - EXTJSIV-6180 Grid guide refers to old verticalScrollerType, link to Infinite Scrolling Example broken
  - EXTJSIV-6625 Rewrite AMF guide
  - EXTJSIV-6742 Window ghost config not documented
  - EXTJSIV-6822 Ext.util.Renderable.initRenderData should be marked as protected
  - EXTJSIV-6835 Several components attempt to limit the access on their inherited API
  - EXTJSIV-6936 Remove call to getBubbleTarget in Ext.util.Observable:enableBubble example in docs because it recurses on itself
- Draw (2)
  - EXTJSIV-7186 Wrong calculation of step in Ext.draw.Draw
  - EXTJSIV-831 Gradients not working when I extend Ext.draw.Component
- Events (1)
  - EXTJSIV-6047 Ext.EventManager.contains should accept raw browser event instance
- Examples (18)
  - EXTJSIV-6446 Combination Examples: Ext Js Calendar :First created event is getting dragged and dropped instead of second event
  - EXTJSIV-6447 Direct: Direct Named Arguments: When long text is entered in name fields, server response alert is shown out of the response box.
  - EXTJSIV-6555 Calendar incorrectly renders when date is set from midnight one day to midnight of the following day.
  - EXTJSIV-6601 Combination Examples : Ext JS Calendar :No horizontal gap between the fields of √î√∏Œ©When√î√∏Œ© and √î√∏Œ©Calendar√î√∏Œ©
  - EXTJSIV-6602 Toolbars and Menus : Overflow toolbar : User getting "Action date" alerts when user delete or enters invalid date in the action field.
  - EXTJSIV-6635 Forms √î√∏Œ© Shopping cart Checkout √î√∏Œ© All items in the state combo box are not displaying in a specific scenario
  - EXTJSIV-6638 Combination Examples - Portal Demo - Graph is disappearing upon on click on √î√∏Œ©sp500√î√∏Œ©legend items when it is in enable state
  - EXTJSIV-6649 Combination Examples - Feed viewer: Unable to select Column Header drop down menu after selecting √î√∏Œ©Right√î√∏Œ© option in the preview drop down menu.
  - EXTJSIV-6677 Embedded ItemSelector in MultiSelects are configured to persist
  - EXTJSIV-6703 MessageBox's initial layout to auto size itself is visible in Opera
  - EXTJSIV-6770 Ext.ux.TreePicker in form return RawValue after form.getValues() is called
  - EXTJSIV-6809 Trailing comma issue in Ext.ux.grid.filter.DateFilter
  - EXTJSIV-6812 MultiSelect issue with same label
  - EXTJSIV-6908 Ext.ux.form.MultiSelect value should be empty array if store is empty not null
  - EXTJSIV-6922 AMF and SOAP examples throw an error in qa environment
  - EXTJSIV-6929 MultiSelect.getValue with single mode selection returns array of 2 items
  - EXTJSIV-7012 GMapPanel creating global variable
  - EXTJSIV-7053 Broken link to sqlite installation page in grid filtering example
- Forms (40)
  - EXTJSIV-4412 URL validation do not accept localhost
  - EXTJSIV-5389 Form gets dirty if a textarea field contains a leading line break
  - EXTJSIV-5763 Disabled displayfield doesn't appear greyed out
  - EXTJSIV-5855 HtmlEditor: various issues related to linebreaks and font selection
  - EXTJSIV-5966 Clarify the documentation regarding checkboxfield checkedCls
  - EXTJSIV-5980 Ext.form.field.File button text french translation is missing
  - EXTJSIV-6128 Ext.form.field.HtmlEditor: Can not select text outside visible text part
  - EXTJSIV-6152 HTMLEditor Font Combo Missing and Anchor margin-bottom not applied
  - EXTJSIV-6219 Modal mask causes body scroll on IE7/Quirks/IFrame
  - EXTJSIV-6241 Field validation is not always triggered when deleting all content in IE8/9
  - EXTJSIV-6280 Too much top and bottom padding of form fieldset
  - EXTJSIV-6424 FieldContainer's absolute layout misplaced in firefox
  - EXTJSIV-6514 Element.getAlignToXY inaccuracy when close to right edge of viewport
  - EXTJSIV-6521 Focus (including selectText) on input fields not functioning correctly
  - EXTJSIV-6556 Focus on htmlEditor doesn't work
  - EXTJSIV-6595 BasicForm reset should remove reference to _record
  - EXTJSIV-6609 Disabled fields should not display validation errors
  - EXTJSIV-6652 Ext.form.field.File enable is not enabling the button
  - EXTJSIV-6669 Right Click Pasting does not trigger the combobox picker
  - EXTJSIV-6706 Timefield text input disappears on first keystroke
  - EXTJSIV-6711 Ext.form.field.Number change min/max Value doesn't reset maskRe
  - EXTJSIV-6745 Form submit modal wait message. Modal mask not hidden on return.
  - EXTJSIV-6771 LabelAlign top doesn't work
  - EXTJSIV-6772 NumberField enforceMaxLength doesn't deal with spin up/down
  - EXTJSIV-6777 ComboBox readOnlyCls is never applied
  - EXTJSIV-6793 MultiSelect/ItemSelector do not display error icon properly
  - EXTJSIV-6796 Text field size changes on focus / blur in IE8
  - EXTJSIV-6798 Picker drop downs not closed by tab key blur
  - EXTJSIV-6836 Japanese locale invalidates timefield when AM/PM is enabled
  - EXTJSIV-6874 reader and errorReader of Basic Form does not support creating by type
  - EXTJSIV-6890 Disabled HTML Editor Masks Entire Form in Firefox
  - EXTJSIV-6934 msgTarget qtip/title trigger layouts when not needed
  - EXTJSIV-6939 Combobox flickers before it appears for first time
  - EXTJSIV-6944 Fieldsets with a minHeight and collapsible collapse incorrect elements
  - EXTJSIV-6950 Proper css class not added when labelAlign: 'top'
  - EXTJSIV-6990 triggerNoEditCls is not applied to non-editable or readonly Ext.form.field.ComboBox
  - EXTJSIV-7000 CheckboxManager incorrectly returns checkboxes from other forms
  - EXTJSIV-7017 Email vtype doesn't allow single quote and other special chars within local part of email address
  - EXTJSIV-7020 Multi-thumb slider cannot set all values at once using setValue
  - EXTJSIV-7058 Forms√î√∏Œ© Shopping cart Checkout- Text fields are overlapping with respective section borders
- Grid (42)
  - EXTJSIV-4164 RowWrap feature CSS overrides the grid cell dirty CSS
  - EXTJSIV-5595 Last selected row maintains selection after unchecked on column sort
  - EXTJSIV-5676 rowLines : false config has no effect for locked grid
  - EXTJSIV-6404 [4.1] scrollByDeltaX and scrollByDeltaY methods not working on a locking grid panel.
  - EXTJSIV-6592 Column header CSS classes related to sort contain "undefined"
  - EXTJSIV-6598 Group Column hidden: true doesn't hide its child columns
  - EXTJSIV-6634 RowNumberer columns should default to being in the locked side of a lockable grid.
  - EXTJSIV-6665 Locked side of locked grid is 1px too wide, may scroll horizontally upon focus.
  - EXTJSIV-6691 Ext.grid.feature.GroupingView does not respect enableGroupingMenu
  - EXTJSIV-6695 When CheckboxSelectionModel is used in locking grid, check column is duplicated, one on each side.
  - EXTJSIV-6702 Grouping Feature's menu CheckItem "Show in groups" should be disabled if Store is not grouped.
  - EXTJSIV-6724 Wrong getEditor() call in RowModel.
  - EXTJSIV-6727 Columns in locked grid should be able to be not lockable.
  - EXTJSIV-6730 Error when editable column edited then dragged to other side of locked grid, edited again, the dragged back and edited again
  - EXTJSIV-6731 Grid √î√∏Œ© Locking, Group Summary Grid Example with grouped headers - Getting JS Error when tab key is pressed and hold for a while when all columns are locked state
  - EXTJSIV-6736 Features and plugins are always cloned to both sides of a lockable grid.
  - EXTJSIV-6747 Grid check box selection bug
  - EXTJSIV-6759 Ext.grid.header.Container:getHeaderIndex has typo in query string
  - EXTJSIV-6768 Grid cell editing does not update rendered elements properly in all cases
  - EXTJSIV-6800 Columns grid header menu needs hideOnClick set
  - EXTJSIV-6808 Grid sortchange fires two times on header click(sort)
  - EXTJSIV-6811 Position is NaN in slider when number of records < = pageSize
  - EXTJSIV-6820 In all header menu drop-downs,Sort Descending icon is not displaying
  - EXTJSIV-6839 CheckboxModel sometimes accesses element before rendering
  - EXTJSIV-6842 Cell Editing Grid: Displaying JS error when Delete Plant button is clicked after selecting any cell in the grid
  - EXTJSIV-6860 Destroying a grid during grid editing results in JS error
  - EXTJSIV-6875 [4.1.1 GA] RowEditing Update button initially looks enabled for invalid editor
  - EXTJSIV-6876 Grid with rowExpander is non-functional if a column is locked.
  - EXTJSIV-6914 Wrong horz scrollbar on Grid within Accordion Layout
  - EXTJSIV-6930 Ext.grid.plugin.RowEditingView conflicting with grouped headers in grid
  - EXTJSIV-6932 RowNumberer rowSpan is not applied
  - EXTJSIV-6985 Calling setWidth on grid header with hideHeaders:true does not resize column
  - EXTJSIV-6986 Cell editing restores wrong value when value is updated during edit
  - EXTJSIV-6989 Row updating after field edit does not update all attributes of the TDs
  - EXTJSIV-7014 Load options.callback called multiple times when Store is buffered
  - EXTJSIV-7018 Row update loses altRowCls for row striping
  - EXTJSIV-7046 Grid√î√∏Œ© Locking, Group Summary Grid Example with grouped headers- Displaying Blank when Schedule column is locked
  - EXTJSIV-7087 PropertyGrid without source throws a JavaScript error
  - EXTJSIV-7088 Checkbox disappears after reconfigure call on locked grid with checkbox selection mod
  - EXTJSIV-7092 Grid : Locking Grouping Grid with Summary and Grouped headers: "Schedule" grouped column header is still displaying even there are no columns exist in the group.
  - EXTJSIV-7104 With CheckboxModel selection model Header Checkbox is checked on empty store
  - EXTJSIV-7115 Locked grid header menu trigger disappears after a reconfigure
- Layouts (6)
  - EXTJSIV-5999 Overflow items do not sync with dynamic state change of toolbar. Toggle buttons represented wrongly.
  - EXTJSIV-6539 Collapsed regions are changing layout after floating out in a border layout
  - EXTJSIV-6854 Table layout - clearEl defined but not used
  - EXTJSIV-6925 Panel with flex 'height' less than minHeight not working correctly
  - EXTJSIV-6979 collapseFirst: false does not work for the accordion layout
  - EXTJSIV-6996 Splitters in vbox layout incorrectly read width instead of height
- MVC (3)
  - EXTJSIV-6662 Ext.app.Controller.hasRef - use Ext.Array.indexOf to find reference
  - EXTJSIV-6725 Controller dependencies are broken if you don't have controller in the class name
  - EXTJSIV-6726 views set on Ext.application will not load files
- Misc (27)
  - EXTJSIV-4583 Singleton is created when singleton (false) is listed
  - EXTJSIV-4853 Drag and Drop : Grid To Grid DnD - Tool tip is stretched while dragging the row second time.
  - EXTJSIV-6170 Ext.DomHelper's 'confRe' matches substrings while it shouldn't
  - EXTJSIV-6248 Ext.chart.Mask is broken
  - EXTJSIV-6356 locale update for ext-lang-it.js
  - EXTJSIV-6376 [4.1.0] TreePanel selectPath callback is called twice
  - EXTJSIV-6400 Floating components do not get destroyed when an ancestor is destroyed
  - EXTJSIV-6409 Field to grid example. Enable dragging fields via their label.
  - EXTJSIV-6537 Date picker shows a selection when picking a new month from the month picker, even though the value has not changed.
  - EXTJSIV-6640 If a container is draggable, Ext.resizer.Resizer does not resize the container in IE8
  - EXTJSIV-6728 Border Layout: collapsing or expanding a region while another region's float animation is taking place puts the layout in a weird state.
  - EXTJSIV-6757 New Jira Test!
  - EXTJSIV-6761 en_GB Locale does not localize dates in DateColumns
  - EXTJSIV-6819 TaskRunner quietly catches errors
  - EXTJSIV-6833 Ext.util.KeyNav.setConfig() assigns undefined defaultEventAction property
  - EXTJSIV-6834 XTemplate renders null data value as "null" but should be blank like undefined
  - EXTJSIV-6844 AMF Grid Example does not load in Firefox 3.6
  - EXTJSIV-6846 When scrolling down an infinite and locked column grid the row synchronization breaks
  - EXTJSIV-6851 AbstractComponent addes isContained to item configs
  - EXTJSIV-6864 AbstractComponent methods preFocus, beforeBlur and postBlur should be protected not private
  - EXTJSIV-6873 Ext.grid.plugin.DragDrop dragText is not localized
  - EXTJSIV-6942 negativeText is not overridden in locale files for Ext.locale.ru.form.field.Number
  - EXTJSIV-6984 ext-lang-pt_BR.js accent is not properly encoded
  - EXTJSIV-7001 AbstractComponent - duplicate Ext.ComponentQuery dependency
  - EXTJSIV-7013 Selection disappears when scrolling in an infinite grid
  - EXTJSIV-7047 Grids -> Locking Grouping Grid with Summary and grouped headers: Columns are not properly aligned when initially example is loaded.
  - EXTJSIV-7143 Accidental global vars in Date parser and VType
- Panel (7)
  - EXTJSIV-6543 Collapsing a panel causes its header to appear even if "header:false"
  - EXTJSIV-6720 Panel header tools - "close" not set to instance of Ext.panel.Tool
  - EXTJSIV-6774 Adding a floating component does not trigger the add event
  - EXTJSIV-6779 Panel.addTool can add tool twice
  - EXTJSIV-6915 Placeholder does not honor titleCollapse over floating
  - EXTJSIV-6927 Panel placeholder collapse event fires at construction time
  - EXTJSIV-6997 Calling Panel.setTitle when not rendered fails to set the title
- Selection Model (1)
  - EXTJSIV-6937 CellSelectionModel gets JS error when Tab button is pressed after deleting last row in the grid
- Tabs (1)
  - EXTJSIV-6633 TabPanel's tabBar config should accept a layout config to modify the layout of the tabBar
- Theme (1)
  - EXTJSIV-6643 _loadmask.scss - typo in a variable name
- ToolTips (1)
  - EXTJSIV-6693 Using tooltips on various components throws errors when QuickTips are not enabled
- Toolbars (3)
  - EXTJSIV-5970 Overflowchange is not fired when a toolbar is resized and the overflow is changed
  - EXTJSIV-6814 Repeated button hiding causes non-responsiveness
  - EXTJSIV-6982 Toolbar item setText does not update text property
- Tree (14)
  - EXTJSIV-3758 Tree API is missing "getOwnerTree" method
  - EXTJSIV-3764 TreeView does not provide nodedragover event
  - EXTJSIV-6474 Tree node quick tip needs to be HTML encoded when rendered
  - EXTJSIV-6667 Tree node drag drop reordering does not invoke tree panel scroller
  - EXTJSIV-6681 [4.1] Poor performance of TreeStore sort
  - EXTJSIV-6738 Global leak in NodeInterface decorate method
  - EXTJSIV-6797 TablePanels with hideHeaders:true missing top border
  - EXTJSIV-6813 TreeGrid keyboard navigation stops working in IE9 after you expand a node using the keyboard
  - EXTJSIV-6856 TreeView does not always update height after expand/collapse of items
  - EXTJSIV-6857 Tree does not auto size using after expand/collapse with animate: false
  - EXTJSIV-6865 Tree add and remove methods have poor performance
  - EXTJSIV-6866 Dragging elements past the overflow point in a tree grid does not allow scrolling
  - EXTJSIV-7048 Consecutive animated expand/collapse calls on a tree node causes unpredictable corruption and JS errors.
  - EXTJSIV-7135 Trees√î√∏Œ© Drag and Drop reordering √î√∏Œ© Getting script error in FF browsers when √î√∏Œ©Expand All√î√∏Œ© and √î√∏Œ©Collapse All√î√∏Œ© buttons are clicked
- Window (7)
  - EXTJSIV-6426 CellEditors in a modal Window cause the window to be masked below its own mask.
  - EXTJSIV-6540 Maximized window rendered into a DIV positioned incorrectly.
  - EXTJSIV-6689 Align center in a window doesn't wrap text
  - EXTJSIV-6756 Esc will not close window with a editable grid If Esc was used to stop inline editing
  - EXTJSIV-6782 Modal mask for Window can cause scrollbars on the body in IE
  - EXTJSIV-6872 Ext.Msg.show maxWidth doesn't cause any effect
  - EXTJSIV-6941 IconCls param ignored in Ext.MessageBox.show
Total: 243

# Release Notes for Ext JS 4.1.1

Release Date: July 4, 2012
Version Number: 4.1.1

## Bugs Fixed

- Charts (6)
  - EXTJSIV-6275 Line chart messed up after disabling and enabling lines though legend
  - EXTJSIV-6323 Charts don't render with either constrain, or both maximum and minimum
  - EXTJSIV-6324 Problem using minimum, maximum and majorTicksSteps together
  - EXTJSIV-6359 Chart should display integers on axis
  - EXTJSIV-6583 Chart redraw on store update fails in inactive card
  - EXTJSIV-6585 Rapid clicks on pie chart causes slices to shrink or disappear
- Core (10)
  - EXTJSIV-3932 dom.style.setExpression not implemented in IE8
  - EXTJSIV-5956 Ext.extend does not handle constructor properly using 3-argument form
  - EXTJSIV-6087 Ext.data.TreeStore CRUD regression
  - EXTJSIV-6452 Container's private floatingItems collection should be floatingDescendants
  - EXTJSIV-6453 Container-owned floating items appear at wrong level in the ComponentQuery hierarchy
  - EXTJSIV-6456 ComponentQuery :last selector fails with a single item
  - EXTJSIV-6484 Ext.AbstractManager.onAvailable listener isn't removed properly
  - EXTJSIV-6499 Reusing id's for elements recently removed from the DOM would incorrectly reference old element
  - EXTJSIV-6570 Ext.Element getStyle can throw in IE6/7 reading font styles
  - EXTJSIV-6612 Observable.resumeEvents should tolerate being called when suspendCount is zero
- Data (6)
  - EXTJSIV-5253 Ext.data.writer.Json no longer respects dateFormat
  - EXTJSIV-5995 Model field disappear when using idProperty
  - EXTJSIV-6480 loadData reading an Array uses the wrong field order to read the data items.
  - EXTJSIV-6523 data.Reader will not read data where a model is included
  - EXTJSIV-6545 Can't reload buffered store after filtering
  - EXTJSIV-6627 Model.copy passes its data into the new constructor as raw which gets converted.
- DataView (1)
  - EXTJSIV-6524 AbstractView should not cancel SPACE key event if target is an input element.
- Documentation (3)
  - EXTJSIV-5148 Ext.selection.Model documentation bug
  - EXTJSIV-6187 Grouping and locking features do not work together
  - EXTJSIV-6573 AbstractComponent.render missing in the API docs
- Examples (4)
  - EXTJSIV-6449 Simple Tasks reminder window does not lay out when resized.
  - EXTJSIV-6450 Themes example's layout expands vertical slider's element to 100% width
  - EXTJSIV-6462 Chart rendering is broken by moving its ancestors in the DOM in IE
  - EXTJSIV-6717 Combination Examples - Feed Viewer: Getting error upon clicking on any feed in the preview panel when "Hide" option is selected in the preview drop down menu.
- Forms (15)
  - EXTJSIV-6071 The title of the MultiSelect is not displayed
  - EXTJSIV-6085 "Custom Layout " Alert message borderline is missing under "Radio Groups " in IE6
  - EXTJSIV-6086 labelWidth is ignored with labelAlign top
  - EXTJSIV-6127 TextField emptyText cannot be entered as the value
  - EXTJSIV-6160 Ext.form.field.Time does not initialize value correctly
  - EXTJSIV-6227 Adding a new field to a form layout fails on IE
  - EXTJSIV-6311 Time field clears value on blur.
  - EXTJSIV-6371 Fields with labelAlign top need to not make label its own row - causes too many problems
  - EXTJSIV-6402 DisplayField doesn't update size after a value change
  - EXTJSIV-6416 Calling setText on unrendered TextField does not work
  - EXTJSIV-6445 standardSubmit: true is broken for forms with params
  - EXTJSIV-6478 Ext.form.BasicForm fails to correctly read the response of a file upload
  - EXTJSIV-6568 HtmlEditor leaks memory on window unload in IE6/7
  - EXTJSIV-6579 HtmlEditor contents are cleared by initial Ext.example.msg
  - EXTJSIV-6594 enforceMaxLength with no maxLength in textfield allows only one char
- Grid (18)
  - EXTJSIV-5343 Lockable views do not handle drag between two sides well or dragging of or between group headers.
  - EXTJSIV-6075 Checkbox selection model's header checkbox not in sync if records are added/removed
  - EXTJSIV-6242 Grid row editor does not close when record being edited is removed
  - EXTJSIV-6264 Grid filter range menu iconCls conflicts with Panel iconCls - rename to itemIconCls
  - EXTJSIV-6419 Grid Filters JS error when click on any column header after filtering Date and swap columns
  - EXTJSIV-6420 Grid row heights aren't synced in locked grid on IE9 standards.
  - EXTJSIV-6421 Locking grid headers misplaced after column hide
  - EXTJSIV-6440 BorderLayout: collapsed GridPanel on south looks inconsistent after expand
  - EXTJSIV-6463 Infinite grid alignment is skewed by presence of group headers
  - EXTJSIV-6477 Arrow keys become unresponsive when arrowing through records in a buffered grid
  - EXTJSIV-6481 Firefox 13 new default smooth scrolling leads to very slow grid scrolling
  - EXTJSIV-6482 Grid RowExpander is not reinserted after reconfigure
  - EXTJSIV-6509 Using getEditor on a grid column creates an orphaned component resulting in a memory leak
  - EXTJSIV-6531 Grid reconfigure fails with hideHeaders
  - EXTJSIV-6546 PagingScroller onCacheClear assumes view is rendered
  - EXTJSIV-6584 Cell editing in locked grid causes JS error
  - EXTJSIV-6644 CellSelectionModel selects the wrong cell in a locked grid
  - EXTJSIV-6718 Tab key causes error when cell editing with row selection model
- Layouts (5)
  - EXTJSIV-5131 ShrinkWrap layouts can fail with constrained widths / heights
  - EXTJSIV-6041 In IE8/9 "strict" mode, Box layout's perpendicular overflow does not work
  - EXTJSIV-6049 Auto-width grid in vbox stretches to 10,000px
  - EXTJSIV-6369 Closing floated/collapsed panel in border layout causes JS error
  - EXTJSIV-6528 Ext.layout.container.BoxOverflow.Menu.destroy throws Exception
- Menu (1)
  - EXTJSIV-6386 Picking a date doesn't work when Date field inside Menu
- Misc (2)
  - EXTJSIV-6348 Drag-drop on invalid dropzone leaves no focus
  - EXTJSIV-6510 IE 6 nonsecure items warning when using Ext.History
- Panel (4)
  - EXTJSIV-5149 "mini" collapseMode in border layout doesn't seem to work
  - EXTJSIV-6372 Multiple issues with Panel.setBodyStyle
  - EXTJSIV-6373 Specifying Panel header config and closable: true causes error
  - EXTJSIV-6448 Left and right aligned headers in panel drag are not layed out properly
- Theme (2)
  - EXTJSIV-6163 SplitButton with arrowAlign bottom and Gray theme - CSS issue on mouse over
  - EXTJSIV-6425 Sass function theme-background-image throws exception without a return value and css doesn't compile
- Toolbars (2)
  - EXTJSIV-6251 Toolbar defaults override single item settings
  - EXTJSIV-6451 Form fields clone in overflow menu of toolbar do not sync the original field value
- Tree (9)
  - EXTJSIV-5248 Ext.data.TreeStore setting the root property in the proxy doesn't work
  - EXTJSIV-6005 Ext.data.TreeStore with Ext.data.proxy.Rest does not pass ids correctly
  - EXTJSIV-6302 NodeInterface qtip and qtitle not updated
  - EXTJSIV-6417 tree.selectPath(tree.getRootNode().getPath()) doesn't select
  - EXTJSIV-6418 Folder keeps displaying collapse button after all leaves are dragged away
  - EXTJSIV-6443 expandable: false has no effect in tree grid
  - EXTJSIV-6473 Spacebar not toggling checkbox state in TreePanel
  - EXTJSIV-6554 Tree view refresh event is fired before the render event
  - EXTJSIV-6580 Tree node parentId doesn't respect useNull
- Window (6)
  - EXTJSIV-5889 Dragging a header-constrained window below Viewport bottom scrolls the Viewport
  - EXTJSIV-6033 Ext.window.Window fire incorrect events when maximized/restored
  - EXTJSIV-6234 Constrained window in a border layout is displaying at wrong location.
  - EXTJSIV-6297 Constraining a window to a panel using the "constrain" config does not work when "autoShow" is true
  - EXTJSIV-6397 Form submit with waitMsg:'string' called from Window focuses the Window which hides any MessageBox
  - EXTJSIV-6547 Window is not closed on Esc
Total: 94

# Release Notes for Ext JS 4.1.1 RC 2

Release Date: June 13, 2012
Version Number: 4.1.1 RC 2

## Bugs Fixed

- Button (2)
  - EXTJSIV-6139 Button retains the focused state after disabling and enabling
  - EXTJSIV-6329 Config html of Button not working
- Charts (2)
  - EXTJSIV-6077 Layouts cause Charts to (re)animate
  - EXTJSIV-6224 Chart export hard codes sencha.io
- Core (11)
  - EXTJSIV-5767 return false from beforerender throws exception
  - EXTJSIV-5944 Ext.onReady with delay option hangs up a browser
  - EXTJSIV-6055 onReady does not work in an iframe in IE8 when parent is a different domain
  - EXTJSIV-6056 Problems with Component previousNode
  - EXTJSIV-6124 Loader calls Ext globalEval with code that breaks when IE cc_on
  - EXTJSIV-6137 Element slideIn tr anchor doesn't work as expected.
  - EXTJSIV-6185 getPosition on floating Components with parent Container always returns container-relative position
  - EXTJSIV-6196 calling showAt on a component does not fire the 'show' event.
  - EXTJSIV-6199 DomQuery fails with dots in the element id
  - EXTJSIV-6273 EventManager does not return listener response
  - EXTJSIV-6319 Ext.onReady sometimes fails in an iframe in IE when parent is in a different domain
- Data (3)
  - EXTJSIV-6298 Ext.data.Tree.flatten duplicates Ext.Object.getValues
  - EXTJSIV-6305 Model instance shared if proxy subclass specifies a reader config object
  - EXTJSIV-6306 Model's Id field not defined after sync in TreeStore
- DataView (1)
  - EXTJSIV-6019 When deferInitialRefresh is false, the arrival of the data still causes a second layout run
- Documentation (2)
  - EXTJSIV-5558 refs config not in API documentation
  - EXTJSIV-6179 pruneRemoved on Ext.selection.Model should not be private
- Events (1)
  - EXTJSIV-6320 Listener tracking is broken when removing non-existent listener
- Examples (1)
  - EXTJSIV-6413 Tabs : Basic Tabs: Clicking on √î√∏Œ©Event Tab√î√∏Œ© for first time, displaying the tab's content with border line
- Forms (17)
  - EXTJSIV-5298 Ext.form.Panel does not respect inherited properties when creating the BasicForm
  - EXTJSIV-5962 Dragging mouse off the right over a form scrolls content out of view in WebKit
  - EXTJSIV-6121 TimeField submit format not using 24 hour format
  - EXTJSIV-6142 Form field with incorrect width on validation, if msgTarget: 'side'
  - EXTJSIV-6143 Ext.form.field.Number: Spinner field sometimes fires 2 spin events
  - EXTJSIV-6173 Field not destroyed after form is closed
  - EXTJSIV-6176 Forms : File uploads : "File upload" window is not opening upon clicking on "photo" text field.
  - EXTJSIV-6184 Labelable: getFieldLabel should implement same logic as the setter as regards label separator
  - EXTJSIV-6198 Fields within Field Container don't resize properly
  - EXTJSIV-6255 TextAarea ignores "cols" attribute
  - EXTJSIV-6258 Combobox forceSelection clears the value if there is no match
  - EXTJSIV-6277 MsgBox header components are not placed properly in IE
  - EXTJSIV-6278 Trigger button does not look disabled on a disabled ComboBox
  - EXTJSIV-6281 Store filter from combobox remains after combo is destroyed and store is reused
  - EXTJSIV-6303 HtmlEditor destroy generates errors
  - EXTJSIV-6340 Measurement of triggerWidth does not work correctly with scopedResetCSS
  - EXTJSIV-6361 File upload field browse button does not properly re-enable after the field has been disabled in Internet Explorer
- Grid (29)
  - EXTJSIV-5934 Infinite Grid does not clear page cache when grouping changes
  - EXTJSIV-6001 Error in Ext.grid.plugin.Editing if no cell is active
  - EXTJSIV-6025 CellEditing plugin does not refocus edited cell when completing an edit
  - EXTJSIV-6037 When groups are rendered initially collapsed using startCollapsed, they cannot be expanded.
  - EXTJSIV-6050 Grid Group's groupHeaderTpl does not have parent param
  - EXTJSIV-6070 Row positions issue on vertical scroll and sorting
  - EXTJSIV-6107 Grid Column Sort Indicator Problem
  - EXTJSIV-6115 RowEditing uses wrong record if startEdit is called while already editing a record
  - EXTJSIV-6117 Locked column in infinite grid causes rows to disappear on page refresh
  - EXTJSIV-6122 Editing a Grid and then reloading its Data causes error
  - EXTJSIV-6123 Wrong grid panel height on layout change
  - EXTJSIV-6135 Scrolling and Rendering Bug in Grid Grouping with Summary example
  - EXTJSIV-6157 Grid Row Editor's Update button is not always enabled/disabled properly
  - EXTJSIV-6164 ProgressBar Pager fails when clicking on left edge of the progress bar.
  - EXTJSIV-6171 RowEditor in tab panel does not show editors properly when tab is hidden
  - EXTJSIV-6186 ActionColumn icon not updating in Grid or TreeGrid
  - EXTJSIV-6194 removeAll on buffered grid causes error in cancelAllPrefetches
  - EXTJSIV-6197 ActionColumn appearance does not change when disabled
  - EXTJSIV-6228 Column Group uses wrong config "restrictColumnReorder" - should be "sealedColumns"
  - EXTJSIV-6232 Grid column resizers are not aligned correctly
  - EXTJSIV-6259 Infinite Grid with Grouping. Groups should not be collapsible.
  - EXTJSIV-6313 Large jumps in infinite grid sometimes prune a required page from the buffered store
  - EXTJSIV-6337 Gridview fails to render properly if initial refresh occurs before view is rendered
  - EXTJSIV-6347 Grid Column Tooltip not supported as it was in v3
  - EXTJSIV-6364 Cell editing with RowSelection model causes JS error on endEdit
  - EXTJSIV-6414 Grid / Infinite Scrolling with remote filtering / Load masking is displaying and not able to search for the second time
  - EXTJSIV-6422 Row Editor throws an error when the grid has a checkbox selection model
  - EXTJSIV-6436 RowEditor does not sync when grid columns dragged to reorder.
  - EXTJSIV-6461 Sort is broken on Remote Summary Grid
- Layouts (9)
  - EXTJSIV-5167 Box layout (toolbar) overflow button does not work twice
  - EXTJSIV-5562 Horizontal scrollbar not visible when set to overflow in hbox layout
  - EXTJSIV-5806 Box layout fails to respect width and height percentages
  - EXTJSIV-5935 Error removing item afterRender: ownerContext.target.ownerLayout not defined
  - EXTJSIV-5939 Adding a new Checkbox to a CheckboxGroup fails on IE
  - EXTJSIV-5990 Layout failure with fieldset in vbox
  - EXTJSIV-6129 Collapsed fieldset does not resize parent when opened
  - EXTJSIV-6158 Percentage size does not work for floating components like Window
  - EXTJSIV-6428 Accordion with single item throws JS error in onComponentCollapse
- MVC (1)
  - EXTJSIV-6162 Ext.application.init() is never invoked
- Menu (2)
  - EXTJSIV-6254 Can't edit textfields properly when placed in a Menu
  - EXTJSIV-6321 Menu subclass doesn't inherit scrolling functionality
- Misc (11)
  - EXTJSIV-6100 .sass-cache included in extjs pachage
  - EXTJSIV-6170 Ext.DomHelper's 'confRe' matches substrings while it shouldn't
  - EXTJSIV-6193 DragDropManager.fireEvents - wrong parameters calling onInvalidDrop
  - EXTJSIV-6208 Traditional Chinese localization does not display properly for days of the week in IE
  - EXTJSIV-6226 Draw component does not auto-size correctly with no content
  - EXTJSIV-6253 Scoped css doesn't work well for filtering and date picker
  - EXTJSIV-6287 Flash Component disregards WMODE transparent
  - EXTJSIV-6304 Ext.menu.DatePicker select triggered twice
  - EXTJSIV-6335 DatePicker's native tip occludes "Today" button's QuickTip
  - EXTJSIV-6407 AbstractContainer overrides enable/disable without returning this
  - EXTJSIV-6412 Grids :Grouping Grid:The √î√∏Œ©Name√î√∏Œ© column check box is not displaying
- Panel (6)
  - EXTJSIV-4144 Collapsible FormPanel collapsible direction [right] issue
  - EXTJSIV-4268 Panel does not respect animCollapse: false in placeholder collapseMode (border layout)
  - EXTJSIV-5351 Inconsistency on closing tabpanel items
  - EXTJSIV-5456 Layout changes inside a collapsed panel in a border layout creates extra panel header
  - EXTJSIV-6148 Calling removeDocked on a panel with no border throws exception
  - EXTJSIV-6178 Expanding a panel restores wrong size if size changed while collapsed
- Tabs (2)
  - EXTJSIV-6237 When labelAlign='top' and errorAlign='side', invalidation causes incorrect field width
  - EXTJSIV-6272 Tab text centering stops working in IE8 after dynamically adding tab
- Theme (2)
  - EXTJSIV-6188 Toolbar margin variables don't have !default flags
  - EXTJSIV-6282 Sass bug in _frame.scss when $radius === 10
- ToolTips (1)
  - EXTJSIV-6221 Canceling tooltip in beforeshow causes subsequent problems
- Toolbars (4)
  - EXTJSIV-5933 Toolbar reorderer stops during drag on IE
  - EXTJSIV-6251 Toolbar defaults override single item settings
  - EXTJSIV-6271 Programmatically set label in bbar is not visible until browser is resized
  - EXTJSIV-6279 tbseparator incorrectly inherits border from toolbar
- Tree (9)
  - EXTJSIV-3571 Two TreePanel behave wrongly when sharing a store
  - EXTJSIV-4918 Tree expand all / collapse all buggy behavior
  - EXTJSIV-5992 Tree expandAll/collapseAll does not always descend fully
  - EXTJSIV-6136 TreePanel loadMask cannot be rebound to a different mask
  - EXTJSIV-6286 Ext.ux.CheckColum does not work with a Tree
  - EXTJSIV-6302 NodeInterface qtip and qtitle not updated
  - EXTJSIV-6330 TreeStore root node does not always have an id
  - EXTJSIV-6344 Uncaught TypeError: Cannot read property 'dom' of null
  - EXTJSIV-6357 TreeStore listeners are not cleaned up
- Window (2)
  - EXTJSIV-3779 Message Box Dialog - Page is grayed out and not allowed to update the page when quickly double-clicking on Icon Show button.
  - EXTJSIV-5905 JS error when creating LoadMask bound to a Window
Total: 118

# Release Notes for Ext JS 4.1.1 RC 1

Release Date: May 15, 2012
Version Number: 4.1.1 RC 1

## Bugs Fixed

- Button (3)
  - EXTJSIV-5964 Buttons do not show 'pressing' animation when clickEvent is 'mousedown'
  - EXTJSIV-5989 Changing text in some buttons does not layout properly in Chrome 16+
  - EXTJSIV-6109 Button contents are cut off when using scoped CSS
- Charts (3)
  - EXTJSIV-5981 Bound of Area Series incorrectly calculated.
  - EXTJSIV-6074 Column chart with all zero data renders poorly and throws css warnings
  - EXTJSIV-6088 Pie chart is broken after resize
- Core (1)
  - EXTJSIV-6052 DragZone determines wrong target el causing subsequent JS error
- Data (4)
  - EXTJSIV-5988 Falsy Ext.data.Operation id property lost during Ext.data.Request creation.
  - EXTJSIV-5993 Ext 4.1 RC3 HasOne Assocation Bug
  - EXTJSIV-6024 Problem in extending from a model with associations
  - EXTJSIV-6063 Ext.data.Store.add() behave inconsistently when groupField is used
- DataView (2)
  - EXTJSIV-6082 Hidden data view breaks when updating
  - EXTJSIV-6110 Ext.view.AbstractView indexOf throws error if argument is invalid or null
- Documentation (1)
  - EXTJSIV-6112 Errors and omissions in the MVC Application Architecture guide
- Events (1)
  - EXTJSIV-5983 beforerender event not fired for Viewport (or component with configured 'el')
- Examples (1)
  - EXTJSIV-6045 GroupTabPanel ux bug - Missing lower rounded corner
- Forms (10)
  - EXTJSIV-5389 TextArea marks form as dirty
  - EXTJSIV-5458 Delete key does not work for textfield (email vtype) in Opera 11
  - EXTJSIV-5965 TextField placeholder text shifts up by 1 pixel on focus
  - EXTJSIV-5994 FieldSet label component is not available before render
  - EXTJSIV-6016 MultiSelect / ItemSelector : "Clear" and "Reset" Buttons are not working when all items are dragged to right panel in Item Selector Table.
  - EXTJSIV-6054 Spinner setReadOnly does not hide triggers
  - EXTJSIV-6065 TextArea special keys stop working at maxLength with enfornceMaxLength on
  - EXTJSIV-6081 A HiddenField occupies visible space in the form
  - EXTJSIV-6104 Slider readOnly has no effect
  - EXTJSIV-6134 Labelable insertion templates do not have access to component id
- Grid (5)
  - EXTJSIV-5984 [4.1 RC3] Grouping expand() not working
  - EXTJSIV-6057 Calling Ext.grid.Panel.reconfigure before rendering causes error
  - EXTJSIV-6066 Grid does not always show its loadmask properly
  - EXTJSIV-6083 scope has no effect on actioncolumn
  - EXTJSIV-6092 Grid header Container getVisibleHeaderClosestToIndex does not check previous only next
- Layouts (5)
  - EXTJSIV-5797 Autosized tooltips are not layed out correctly
  - EXTJSIV-5806 Box layout fails to respect width and height percentages
  - EXTJSIV-5861 Fit layout does not adjust sizes based on autoScroll triggered by minHeight
  - EXTJSIV-6026 Splitters in HBox layouts have no height
  - EXTJSIV-6042 getPosition method doesn't return page coordinate
- Menu (1)
  - EXTJSIV-6035 Menu destroy method can cause JS error on keyNav
- Misc (1)
  - EXTJSIV-5982 Stacked bar/column chart leave a ghost shadow when all items are hidden
- Panel (2)
  - EXTJSIV-5716 Panels with min/max constraints misbehave in a box layout with stretchmax
  - EXTJSIV-5916 Problem with Panel.setTitle without header
- Tree (3)
  - EXTJSIV-6051 4.1 Grid to Tree DnD not working any more
  - EXTJSIV-6076 Changing TreeStore's defaultRootProperty breaks the tree
  - EXTJSIV-6113 TreeGrid is not repainted after the vertical scroll bar disappears
- Window (1)
  - EXTJSIV-6048 Frame: true should not cause a window to display badly
Total: 44

# Release Notes for Ext JS 4.1.0

Release Date: April 20, 2012
Version Number: 4.1.0

## Bugs Fixed

- Charts (2)
  - EXTJSIV-5657 Charts : Grouped Bar :Displaying Js error upon clicking on "Legends" in the "grouped bar" chart on IE9
  - EXTJSIV-5954 Simple Area Chart Not Working in 4.1RCx
- Core (4)
  - EXTJSIV-5811 Elements can't fadeIn() after fadeOut()
  - EXTJSIV-5846 Component id's starting with non-word characters cause JS errors
  - EXTJSIV-5902 Draggable and resizable images leave resize handlers at start point when moved
  - EXTJSIV-5958 Ext.Error toString not including the method name
- Data (5)
  - EXTJSIV-4957 Inconsistent signature for the Store 'datachanged' event
  - EXTJSIV-5809 Model fields are set to undefined or defaultValue when they should not be updated
  - EXTJSIV-5862 Dependency on Writer from Proxy causes JS error
  - EXTJSIV-5877 Store modifies the value of inline data config option
  - EXTJSIV-5945 Ext.data.Model getFields returns undefined
- DataView (1)
  - EXTJSIV-5831 Floatable TreePanel in West Border of Viewport has two left hand borders
- Draw (1)
  - EXTJSIV-5904 Surface.removeAll - fails to remove items from groups
- Events (3)
  - EXTJSIV-5193 Resize event is not fired for custom form field
  - EXTJSIV-5815 Error using a mixin that itself has Ext.util.Observable as a mixin
  - EXTJSIV-5844 Events: option.target has been removed from 4.x
- Examples (2)
  - EXTJSIV-5948 Ext.ux.form.ItemSelector does not work with asynchronous loading (proxy) in ItemSelector example
  - EXTJSIV-5949 RC3: Ext.ux.form.ItemSelector.bindStore() method non-functioning
- Forms (8)
  - EXTJSIV-4978 Forms - Dynamic Forms : Unable to access Form 1, Form 2 & Form 5 when clicked on expand/collapse button and and pressed the tab key
  - EXTJSIV-5242 DisplayField does not respect fieldStyle
  - EXTJSIV-5826 Validation of timefield is not correct in Chinese.
  - EXTJSIV-5827 Work day is corrupt in Spanish date input
  - EXTJSIV-5832 Recreating an HtmlEditor makes it unable to be focused until ENTER is pressed
  - EXTJSIV-5906 Can't create trigger field outside of onReady
  - EXTJSIV-5937 CheckboxGroup has incorrect column loop
  - EXTJSIV-5955 Ext.form.Labelable uses a CSS class without baseCSSPrefix
- Grid (4)
  - EXTJSIV-5457 Grid infinite scroll: no last elements, no return to first elements
  - EXTJSIV-5847 Ext.ux.grid.FiltersFeature removes dynamically added filters
  - EXTJSIV-5894 GroupingSummary returns '\u00a0' when sum is equal 0
  - EXTJSIV-5953 TemplateColumn not updated dynamically
- Layouts (2)
  - EXTJSIV-5562 Horizontal scrollbar not visible when set to overflow in hbox layout
  - EXTJSIV-5941 Resizable Components in Absolute layouts get misplaced.
- MVC (1)
  - EXTJSIV-4202 Problem with building when MVC app has a custom directory structure
- Menu (1)
  - EXTJSIV-5804 Menu onClick does not fire in all cases
- Misc (4)
  - EXTJSIV-5134 Miscellaneous - Panels : "Masked Panel with a really long title" panel's UI is disturbed when clicked more than twice on expand/ collapse button
  - EXTJSIV-5501 Ext.Date.format breaks on wrong input
  - EXTJSIV-5899 Combination Examples:Ext JS Calendar:Displaying js error while creating the new event with empty date field.
  - EXTJSIV-5967 ElementLoader - inconsistent API (?)
- Panel (1)
  - EXTJSIV-5959 Panel with collapseFirst: false and closable does not display collapse tool button
- Tabs (2)
  - EXTJSIV-5099 Tabs - Advanced Tabs : Tabs are added without close button when clicked on "Add Closable Tab" button
  - EXTJSIV-5857 TabPanel children don't fire the close event
- Theme (1)
  - EXTJSIV-3712 TabBar background is blue in the gray theme
- Tree (2)
  - EXTJSIV-5908 Fast clicks in Tree can lead to duplication of entries
  - EXTJSIV-5952 Allow NodeInterface.decorate to expect a record instance for backward compatibility
- Window (1)
  - EXTJSIV-5897 Window's title will not display in IE6/7/8 when it was dragging
Total: 45